/*
 This file is part of SSFR (Zephyr).
 
 Zephyr is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.
 
 Zephyr is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with Zephyr.  If not, see <http://www.gnu.org/licenses/>.
 
 Copyright 2013 Theodore Kim
 */
#ifndef VECTOR3_FIELD_3D_H
#define VECTOR3_FIELD_3D_H

#include <Eigen/Eigen>

#include <cmath>
#include <string>
#include <map>
#include <iostream>
#include "Alg/VECTOR.h"

#include "Alg/VEC3.h"
#include "FIELD_3D.h"
#include "3D/VECTOR3_GRID_3D.h"

typedef VECTOR3_GRID_3D<VEC3F> VECTOR3_FIELD_3D;

#endif

