#include <vector>
#include "sphere_3D/basis_3D.h"
#include "tensorCompute/cylCosTensor.h"
cylCosTensor::cylCosTensor() {
pointers_.resize(6*6*6);
pointers_[0] = &evalcylCos_0;
pointers_[1] = &evalcylCos_1;
pointers_[2] = &evalcylCos_2;
pointers_[3] = &evalcylCos_3;
pointers_[4] = &evalcylCos_4;
pointers_[5] = &evalcylCos_5;
pointers_[6] = &evalcylCos_6;
pointers_[7] = &evalcylCos_7;
pointers_[8] = &evalcylCos_8;
pointers_[9] = &evalcylCos_9;
pointers_[10] = &evalcylCos_10;
pointers_[11] = &evalcylCos_11;
pointers_[12] = &evalcylCos_12;
pointers_[13] = &evalcylCos_13;
pointers_[14] = &evalcylCos_14;
pointers_[15] = &evalcylCos_15;
pointers_[16] = &evalcylCos_16;
pointers_[17] = &evalcylCos_17;
pointers_[18] = &evalcylCos_18;
pointers_[19] = &evalcylCos_19;
pointers_[20] = &evalcylCos_20;
pointers_[21] = &evalcylCos_21;
pointers_[22] = &evalcylCos_22;
pointers_[23] = &evalcylCos_23;
pointers_[24] = &evalcylCos_24;
pointers_[25] = &evalcylCos_25;
pointers_[26] = &evalcylCos_26;
pointers_[27] = &evalcylCos_27;
pointers_[28] = &evalcylCos_28;
pointers_[29] = &evalcylCos_29;
pointers_[30] = &evalcylCos_30;
pointers_[31] = &evalcylCos_31;
pointers_[32] = &evalcylCos_32;
pointers_[33] = &evalcylCos_33;
pointers_[34] = &evalcylCos_34;
pointers_[35] = &evalcylCos_35;
pointers_[36] = &evalcylCos_36;
pointers_[37] = &evalcylCos_37;
pointers_[38] = &evalcylCos_38;
pointers_[39] = &evalcylCos_39;
pointers_[40] = &evalcylCos_40;
pointers_[41] = &evalcylCos_41;
pointers_[42] = &evalcylCos_42;
pointers_[43] = &evalcylCos_43;
pointers_[44] = &evalcylCos_44;
pointers_[45] = &evalcylCos_45;
pointers_[46] = &evalcylCos_46;
pointers_[47] = &evalcylCos_47;
pointers_[48] = &evalcylCos_48;
pointers_[49] = &evalcylCos_49;
pointers_[50] = &evalcylCos_50;
pointers_[51] = &evalcylCos_51;
pointers_[52] = &evalcylCos_52;
pointers_[53] = &evalcylCos_53;
pointers_[54] = &evalcylCos_54;
pointers_[55] = &evalcylCos_55;
pointers_[56] = &evalcylCos_56;
pointers_[57] = &evalcylCos_57;
pointers_[58] = &evalcylCos_58;
pointers_[59] = &evalcylCos_59;
pointers_[60] = &evalcylCos_60;
pointers_[61] = &evalcylCos_61;
pointers_[62] = &evalcylCos_62;
pointers_[63] = &evalcylCos_63;
pointers_[64] = &evalcylCos_64;
pointers_[65] = &evalcylCos_65;
pointers_[66] = &evalcylCos_66;
pointers_[67] = &evalcylCos_67;
pointers_[68] = &evalcylCos_68;
pointers_[69] = &evalcylCos_69;
pointers_[70] = &evalcylCos_70;
pointers_[71] = &evalcylCos_71;
pointers_[72] = &evalcylCos_72;
pointers_[73] = &evalcylCos_73;
pointers_[74] = &evalcylCos_74;
pointers_[75] = &evalcylCos_75;
pointers_[76] = &evalcylCos_76;
pointers_[77] = &evalcylCos_77;
pointers_[78] = &evalcylCos_78;
pointers_[79] = &evalcylCos_79;
pointers_[80] = &evalcylCos_80;
pointers_[81] = &evalcylCos_81;
pointers_[82] = &evalcylCos_82;
pointers_[83] = &evalcylCos_83;
pointers_[84] = &evalcylCos_84;
pointers_[85] = &evalcylCos_85;
pointers_[86] = &evalcylCos_86;
pointers_[87] = &evalcylCos_87;
pointers_[88] = &evalcylCos_88;
pointers_[89] = &evalcylCos_89;
pointers_[90] = &evalcylCos_90;
pointers_[91] = &evalcylCos_91;
pointers_[92] = &evalcylCos_92;
pointers_[93] = &evalcylCos_93;
pointers_[94] = &evalcylCos_94;
pointers_[95] = &evalcylCos_95;
pointers_[96] = &evalcylCos_96;
pointers_[97] = &evalcylCos_97;
pointers_[98] = &evalcylCos_98;
pointers_[99] = &evalcylCos_99;
pointers_[100] = &evalcylCos_100;
pointers_[101] = &evalcylCos_101;
pointers_[102] = &evalcylCos_102;
pointers_[103] = &evalcylCos_103;
pointers_[104] = &evalcylCos_104;
pointers_[105] = &evalcylCos_105;
pointers_[106] = &evalcylCos_106;
pointers_[107] = &evalcylCos_107;
pointers_[108] = &evalcylCos_108;
pointers_[109] = &evalcylCos_109;
pointers_[110] = &evalcylCos_110;
pointers_[111] = &evalcylCos_111;
pointers_[112] = &evalcylCos_112;
pointers_[113] = &evalcylCos_113;
pointers_[114] = &evalcylCos_114;
pointers_[115] = &evalcylCos_115;
pointers_[116] = &evalcylCos_116;
pointers_[117] = &evalcylCos_117;
pointers_[118] = &evalcylCos_118;
pointers_[119] = &evalcylCos_119;
pointers_[120] = &evalcylCos_120;
pointers_[121] = &evalcylCos_121;
pointers_[122] = &evalcylCos_122;
pointers_[123] = &evalcylCos_123;
pointers_[124] = &evalcylCos_124;
pointers_[125] = &evalcylCos_125;
pointers_[126] = &evalcylCos_126;
pointers_[127] = &evalcylCos_127;
pointers_[128] = &evalcylCos_128;
pointers_[129] = &evalcylCos_129;
pointers_[130] = &evalcylCos_130;
pointers_[131] = &evalcylCos_131;
pointers_[132] = &evalcylCos_132;
pointers_[133] = &evalcylCos_133;
pointers_[134] = &evalcylCos_134;
pointers_[135] = &evalcylCos_135;
pointers_[136] = &evalcylCos_136;
pointers_[137] = &evalcylCos_137;
pointers_[138] = &evalcylCos_138;
pointers_[139] = &evalcylCos_139;
pointers_[140] = &evalcylCos_140;
pointers_[141] = &evalcylCos_141;
pointers_[142] = &evalcylCos_142;
pointers_[143] = &evalcylCos_143;
pointers_[144] = &evalcylCos_144;
pointers_[145] = &evalcylCos_145;
pointers_[146] = &evalcylCos_146;
pointers_[147] = &evalcylCos_147;
pointers_[148] = &evalcylCos_148;
pointers_[149] = &evalcylCos_149;
pointers_[150] = &evalcylCos_150;
pointers_[151] = &evalcylCos_151;
pointers_[152] = &evalcylCos_152;
pointers_[153] = &evalcylCos_153;
pointers_[154] = &evalcylCos_154;
pointers_[155] = &evalcylCos_155;
pointers_[156] = &evalcylCos_156;
pointers_[157] = &evalcylCos_157;
pointers_[158] = &evalcylCos_158;
pointers_[159] = &evalcylCos_159;
pointers_[160] = &evalcylCos_160;
pointers_[161] = &evalcylCos_161;
pointers_[162] = &evalcylCos_162;
pointers_[163] = &evalcylCos_163;
pointers_[164] = &evalcylCos_164;
pointers_[165] = &evalcylCos_165;
pointers_[166] = &evalcylCos_166;
pointers_[167] = &evalcylCos_167;
pointers_[168] = &evalcylCos_168;
pointers_[169] = &evalcylCos_169;
pointers_[170] = &evalcylCos_170;
pointers_[171] = &evalcylCos_171;
pointers_[172] = &evalcylCos_172;
pointers_[173] = &evalcylCos_173;
pointers_[174] = &evalcylCos_174;
pointers_[175] = &evalcylCos_175;
pointers_[176] = &evalcylCos_176;
pointers_[177] = &evalcylCos_177;
pointers_[178] = &evalcylCos_178;
pointers_[179] = &evalcylCos_179;
pointers_[180] = &evalcylCos_180;
pointers_[181] = &evalcylCos_181;
pointers_[182] = &evalcylCos_182;
pointers_[183] = &evalcylCos_183;
pointers_[184] = &evalcylCos_184;
pointers_[185] = &evalcylCos_185;
pointers_[186] = &evalcylCos_186;
pointers_[187] = &evalcylCos_187;
pointers_[188] = &evalcylCos_188;
pointers_[189] = &evalcylCos_189;
pointers_[190] = &evalcylCos_190;
pointers_[191] = &evalcylCos_191;
pointers_[192] = &evalcylCos_192;
pointers_[193] = &evalcylCos_193;
pointers_[194] = &evalcylCos_194;
pointers_[195] = &evalcylCos_195;
pointers_[196] = &evalcylCos_196;
pointers_[197] = &evalcylCos_197;
pointers_[198] = &evalcylCos_198;
pointers_[199] = &evalcylCos_199;
pointers_[200] = &evalcylCos_200;
pointers_[201] = &evalcylCos_201;
pointers_[202] = &evalcylCos_202;
pointers_[203] = &evalcylCos_203;
pointers_[204] = &evalcylCos_204;
pointers_[205] = &evalcylCos_205;
pointers_[206] = &evalcylCos_206;
pointers_[207] = &evalcylCos_207;
pointers_[208] = &evalcylCos_208;
pointers_[209] = &evalcylCos_209;
pointers_[210] = &evalcylCos_210;
pointers_[211] = &evalcylCos_211;
pointers_[212] = &evalcylCos_212;
pointers_[213] = &evalcylCos_213;
pointers_[214] = &evalcylCos_214;
pointers_[215] = &evalcylCos_215;
}


