#include <vector>
#include "2D/basis_2D.h"
#include "tensorCompute/sphere2DTensor.h"
sphere2DTensor::sphere2DTensor() {
pointers_.resize(5*5*5);
pointers_[0] = &evalsph2D_0;
pointers_[1] = &evalsph2D_1;
pointers_[2] = &evalsph2D_2;
pointers_[3] = &evalsph2D_3;
pointers_[4] = &evalsph2D_4;
pointers_[5] = &evalsph2D_5;
pointers_[6] = &evalsph2D_6;
pointers_[7] = &evalsph2D_7;
pointers_[8] = &evalsph2D_8;
pointers_[9] = &evalsph2D_9;
pointers_[10] = &evalsph2D_10;
pointers_[11] = &evalsph2D_11;
pointers_[12] = &evalsph2D_12;
pointers_[13] = &evalsph2D_13;
pointers_[14] = &evalsph2D_14;
pointers_[15] = &evalsph2D_15;
pointers_[16] = &evalsph2D_16;
pointers_[17] = &evalsph2D_17;
pointers_[18] = &evalsph2D_18;
pointers_[19] = &evalsph2D_19;
pointers_[20] = &evalsph2D_20;
pointers_[21] = &evalsph2D_21;
pointers_[22] = &evalsph2D_22;
pointers_[23] = &evalsph2D_23;
pointers_[24] = &evalsph2D_24;
pointers_[25] = &evalsph2D_25;
pointers_[26] = &evalsph2D_26;
pointers_[27] = &evalsph2D_27;
pointers_[28] = &evalsph2D_28;
pointers_[29] = &evalsph2D_29;
pointers_[30] = &evalsph2D_30;
pointers_[31] = &evalsph2D_31;
pointers_[32] = &evalsph2D_32;
pointers_[33] = &evalsph2D_33;
pointers_[34] = &evalsph2D_34;
pointers_[35] = &evalsph2D_35;
pointers_[36] = &evalsph2D_36;
pointers_[37] = &evalsph2D_37;
pointers_[38] = &evalsph2D_38;
pointers_[39] = &evalsph2D_39;
pointers_[40] = &evalsph2D_40;
pointers_[41] = &evalsph2D_41;
pointers_[42] = &evalsph2D_42;
pointers_[43] = &evalsph2D_43;
pointers_[44] = &evalsph2D_44;
pointers_[45] = &evalsph2D_45;
pointers_[46] = &evalsph2D_46;
pointers_[47] = &evalsph2D_47;
pointers_[48] = &evalsph2D_48;
pointers_[49] = &evalsph2D_49;
pointers_[50] = &evalsph2D_50;
pointers_[51] = &evalsph2D_51;
pointers_[52] = &evalsph2D_52;
pointers_[53] = &evalsph2D_53;
pointers_[54] = &evalsph2D_54;
pointers_[55] = &evalsph2D_55;
pointers_[56] = &evalsph2D_56;
pointers_[57] = &evalsph2D_57;
pointers_[58] = &evalsph2D_58;
pointers_[59] = &evalsph2D_59;
pointers_[60] = &evalsph2D_60;
pointers_[61] = &evalsph2D_61;
pointers_[62] = &evalsph2D_62;
pointers_[63] = &evalsph2D_63;
pointers_[64] = &evalsph2D_64;
pointers_[65] = &evalsph2D_65;
pointers_[66] = &evalsph2D_66;
pointers_[67] = &evalsph2D_67;
pointers_[68] = &evalsph2D_68;
pointers_[69] = &evalsph2D_69;
pointers_[70] = &evalsph2D_70;
pointers_[71] = &evalsph2D_71;
pointers_[72] = &evalsph2D_72;
pointers_[73] = &evalsph2D_73;
pointers_[74] = &evalsph2D_74;
pointers_[75] = &evalsph2D_75;
pointers_[76] = &evalsph2D_76;
pointers_[77] = &evalsph2D_77;
pointers_[78] = &evalsph2D_78;
pointers_[79] = &evalsph2D_79;
pointers_[80] = &evalsph2D_80;
pointers_[81] = &evalsph2D_81;
pointers_[82] = &evalsph2D_82;
pointers_[83] = &evalsph2D_83;
pointers_[84] = &evalsph2D_84;
pointers_[85] = &evalsph2D_85;
pointers_[86] = &evalsph2D_86;
pointers_[87] = &evalsph2D_87;
pointers_[88] = &evalsph2D_88;
pointers_[89] = &evalsph2D_89;
pointers_[90] = &evalsph2D_90;
pointers_[91] = &evalsph2D_91;
pointers_[92] = &evalsph2D_92;
pointers_[93] = &evalsph2D_93;
pointers_[94] = &evalsph2D_94;
pointers_[95] = &evalsph2D_95;
pointers_[96] = &evalsph2D_96;
pointers_[97] = &evalsph2D_97;
pointers_[98] = &evalsph2D_98;
pointers_[99] = &evalsph2D_99;
pointers_[100] = &evalsph2D_100;
pointers_[101] = &evalsph2D_101;
pointers_[102] = &evalsph2D_102;
pointers_[103] = &evalsph2D_103;
pointers_[104] = &evalsph2D_104;
pointers_[105] = &evalsph2D_105;
pointers_[106] = &evalsph2D_106;
pointers_[107] = &evalsph2D_107;
pointers_[108] = &evalsph2D_108;
pointers_[109] = &evalsph2D_109;
pointers_[110] = &evalsph2D_110;
pointers_[111] = &evalsph2D_111;
pointers_[112] = &evalsph2D_112;
pointers_[113] = &evalsph2D_113;
pointers_[114] = &evalsph2D_114;
pointers_[115] = &evalsph2D_115;
pointers_[116] = &evalsph2D_116;
pointers_[117] = &evalsph2D_117;
pointers_[118] = &evalsph2D_118;
pointers_[119] = &evalsph2D_119;
pointers_[120] = &evalsph2D_120;
pointers_[121] = &evalsph2D_121;
pointers_[122] = &evalsph2D_122;
pointers_[123] = &evalsph2D_123;
pointers_[124] = &evalsph2D_124;
}


