#include <vector>
#include "sphere_3D/basis_3D.h"
#include "tensorCompute/sphere3DTensor.h"
sphere3DTensor::sphere3DTensor() {
pointers_.resize(512);
pointers_[0] = &evalSphere3D_0;
pointers_[1] = &evalSphere3D_1;
pointers_[2] = &evalSphere3D_2;
pointers_[3] = &evalSphere3D_3;
pointers_[4] = &evalSphere3D_4;
pointers_[5] = &evalSphere3D_5;
pointers_[6] = &evalSphere3D_6;
pointers_[7] = &evalSphere3D_7;
pointers_[8] = &evalSphere3D_8;
pointers_[9] = &evalSphere3D_9;
pointers_[10] = &evalSphere3D_10;
pointers_[11] = &evalSphere3D_11;
pointers_[12] = &evalSphere3D_12;
pointers_[13] = &evalSphere3D_13;
pointers_[14] = &evalSphere3D_14;
pointers_[15] = &evalSphere3D_15;
pointers_[16] = &evalSphere3D_16;
pointers_[17] = &evalSphere3D_17;
pointers_[18] = &evalSphere3D_18;
pointers_[19] = &evalSphere3D_19;
pointers_[20] = &evalSphere3D_20;
pointers_[21] = &evalSphere3D_21;
pointers_[22] = &evalSphere3D_22;
pointers_[23] = &evalSphere3D_23;
pointers_[24] = &evalSphere3D_24;
pointers_[25] = &evalSphere3D_25;
pointers_[26] = &evalSphere3D_26;
pointers_[27] = &evalSphere3D_27;
pointers_[28] = &evalSphere3D_28;
pointers_[29] = &evalSphere3D_29;
pointers_[30] = &evalSphere3D_30;
pointers_[31] = &evalSphere3D_31;
pointers_[32] = &evalSphere3D_32;
pointers_[33] = &evalSphere3D_33;
pointers_[34] = &evalSphere3D_34;
pointers_[35] = &evalSphere3D_35;
pointers_[36] = &evalSphere3D_36;
pointers_[37] = &evalSphere3D_37;
pointers_[38] = &evalSphere3D_38;
pointers_[39] = &evalSphere3D_39;
pointers_[40] = &evalSphere3D_40;
pointers_[41] = &evalSphere3D_41;
pointers_[42] = &evalSphere3D_42;
pointers_[43] = &evalSphere3D_43;
pointers_[44] = &evalSphere3D_44;
pointers_[45] = &evalSphere3D_45;
pointers_[46] = &evalSphere3D_46;
pointers_[47] = &evalSphere3D_47;
pointers_[48] = &evalSphere3D_48;
pointers_[49] = &evalSphere3D_49;
pointers_[50] = &evalSphere3D_50;
pointers_[51] = &evalSphere3D_51;
pointers_[52] = &evalSphere3D_52;
pointers_[53] = &evalSphere3D_53;
pointers_[54] = &evalSphere3D_54;
pointers_[55] = &evalSphere3D_55;
pointers_[56] = &evalSphere3D_56;
pointers_[57] = &evalSphere3D_57;
pointers_[58] = &evalSphere3D_58;
pointers_[59] = &evalSphere3D_59;
pointers_[60] = &evalSphere3D_60;
pointers_[61] = &evalSphere3D_61;
pointers_[62] = &evalSphere3D_62;
pointers_[63] = &evalSphere3D_63;
pointers_[64] = &evalSphere3D_64;
pointers_[65] = &evalSphere3D_65;
pointers_[66] = &evalSphere3D_66;
pointers_[67] = &evalSphere3D_67;
pointers_[68] = &evalSphere3D_68;
pointers_[69] = &evalSphere3D_69;
pointers_[70] = &evalSphere3D_70;
pointers_[71] = &evalSphere3D_71;
pointers_[72] = &evalSphere3D_72;
pointers_[73] = &evalSphere3D_73;
pointers_[74] = &evalSphere3D_74;
pointers_[75] = &evalSphere3D_75;
pointers_[76] = &evalSphere3D_76;
pointers_[77] = &evalSphere3D_77;
pointers_[78] = &evalSphere3D_78;
pointers_[79] = &evalSphere3D_79;
pointers_[80] = &evalSphere3D_80;
pointers_[81] = &evalSphere3D_81;
pointers_[82] = &evalSphere3D_82;
pointers_[83] = &evalSphere3D_83;
pointers_[84] = &evalSphere3D_84;
pointers_[85] = &evalSphere3D_85;
pointers_[86] = &evalSphere3D_86;
pointers_[87] = &evalSphere3D_87;
pointers_[88] = &evalSphere3D_88;
pointers_[89] = &evalSphere3D_89;
pointers_[90] = &evalSphere3D_90;
pointers_[91] = &evalSphere3D_91;
pointers_[92] = &evalSphere3D_92;
pointers_[93] = &evalSphere3D_93;
pointers_[94] = &evalSphere3D_94;
pointers_[95] = &evalSphere3D_95;
pointers_[96] = &evalSphere3D_96;
pointers_[97] = &evalSphere3D_97;
pointers_[98] = &evalSphere3D_98;
pointers_[99] = &evalSphere3D_99;
pointers_[100] = &evalSphere3D_100;
pointers_[101] = &evalSphere3D_101;
pointers_[102] = &evalSphere3D_102;
pointers_[103] = &evalSphere3D_103;
pointers_[104] = &evalSphere3D_104;
pointers_[105] = &evalSphere3D_105;
pointers_[106] = &evalSphere3D_106;
pointers_[107] = &evalSphere3D_107;
pointers_[108] = &evalSphere3D_108;
pointers_[109] = &evalSphere3D_109;
pointers_[110] = &evalSphere3D_110;
pointers_[111] = &evalSphere3D_111;
pointers_[112] = &evalSphere3D_112;
pointers_[113] = &evalSphere3D_113;
pointers_[114] = &evalSphere3D_114;
pointers_[115] = &evalSphere3D_115;
pointers_[116] = &evalSphere3D_116;
pointers_[117] = &evalSphere3D_117;
pointers_[118] = &evalSphere3D_118;
pointers_[119] = &evalSphere3D_119;
pointers_[120] = &evalSphere3D_120;
pointers_[121] = &evalSphere3D_121;
pointers_[122] = &evalSphere3D_122;
pointers_[123] = &evalSphere3D_123;
pointers_[124] = &evalSphere3D_124;
pointers_[125] = &evalSphere3D_125;
pointers_[126] = &evalSphere3D_126;
pointers_[127] = &evalSphere3D_127;
pointers_[128] = &evalSphere3D_128;
pointers_[129] = &evalSphere3D_129;
pointers_[130] = &evalSphere3D_130;
pointers_[131] = &evalSphere3D_131;
pointers_[132] = &evalSphere3D_132;
pointers_[133] = &evalSphere3D_133;
pointers_[134] = &evalSphere3D_134;
pointers_[135] = &evalSphere3D_135;
pointers_[136] = &evalSphere3D_136;
pointers_[137] = &evalSphere3D_137;
pointers_[138] = &evalSphere3D_138;
pointers_[139] = &evalSphere3D_139;
pointers_[140] = &evalSphere3D_140;
pointers_[141] = &evalSphere3D_141;
pointers_[142] = &evalSphere3D_142;
pointers_[143] = &evalSphere3D_143;
pointers_[144] = &evalSphere3D_144;
pointers_[145] = &evalSphere3D_145;
pointers_[146] = &evalSphere3D_146;
pointers_[147] = &evalSphere3D_147;
pointers_[148] = &evalSphere3D_148;
pointers_[149] = &evalSphere3D_149;
pointers_[150] = &evalSphere3D_150;
pointers_[151] = &evalSphere3D_151;
pointers_[152] = &evalSphere3D_152;
pointers_[153] = &evalSphere3D_153;
pointers_[154] = &evalSphere3D_154;
pointers_[155] = &evalSphere3D_155;
pointers_[156] = &evalSphere3D_156;
pointers_[157] = &evalSphere3D_157;
pointers_[158] = &evalSphere3D_158;
pointers_[159] = &evalSphere3D_159;
pointers_[160] = &evalSphere3D_160;
pointers_[161] = &evalSphere3D_161;
pointers_[162] = &evalSphere3D_162;
pointers_[163] = &evalSphere3D_163;
pointers_[164] = &evalSphere3D_164;
pointers_[165] = &evalSphere3D_165;
pointers_[166] = &evalSphere3D_166;
pointers_[167] = &evalSphere3D_167;
pointers_[168] = &evalSphere3D_168;
pointers_[169] = &evalSphere3D_169;
pointers_[170] = &evalSphere3D_170;
pointers_[171] = &evalSphere3D_171;
pointers_[172] = &evalSphere3D_172;
pointers_[173] = &evalSphere3D_173;
pointers_[174] = &evalSphere3D_174;
pointers_[175] = &evalSphere3D_175;
pointers_[176] = &evalSphere3D_176;
pointers_[177] = &evalSphere3D_177;
pointers_[178] = &evalSphere3D_178;
pointers_[179] = &evalSphere3D_179;
pointers_[180] = &evalSphere3D_180;
pointers_[181] = &evalSphere3D_181;
pointers_[182] = &evalSphere3D_182;
pointers_[183] = &evalSphere3D_183;
pointers_[184] = &evalSphere3D_184;
pointers_[185] = &evalSphere3D_185;
pointers_[186] = &evalSphere3D_186;
pointers_[187] = &evalSphere3D_187;
pointers_[188] = &evalSphere3D_188;
pointers_[189] = &evalSphere3D_189;
pointers_[190] = &evalSphere3D_190;
pointers_[191] = &evalSphere3D_191;
pointers_[192] = &evalSphere3D_192;
pointers_[193] = &evalSphere3D_193;
pointers_[194] = &evalSphere3D_194;
pointers_[195] = &evalSphere3D_195;
pointers_[196] = &evalSphere3D_196;
pointers_[197] = &evalSphere3D_197;
pointers_[198] = &evalSphere3D_198;
pointers_[199] = &evalSphere3D_199;
pointers_[200] = &evalSphere3D_200;
pointers_[201] = &evalSphere3D_201;
pointers_[202] = &evalSphere3D_202;
pointers_[203] = &evalSphere3D_203;
pointers_[204] = &evalSphere3D_204;
pointers_[205] = &evalSphere3D_205;
pointers_[206] = &evalSphere3D_206;
pointers_[207] = &evalSphere3D_207;
pointers_[208] = &evalSphere3D_208;
pointers_[209] = &evalSphere3D_209;
pointers_[210] = &evalSphere3D_210;
pointers_[211] = &evalSphere3D_211;
pointers_[212] = &evalSphere3D_212;
pointers_[213] = &evalSphere3D_213;
pointers_[214] = &evalSphere3D_214;
pointers_[215] = &evalSphere3D_215;
pointers_[216] = &evalSphere3D_216;
pointers_[217] = &evalSphere3D_217;
pointers_[218] = &evalSphere3D_218;
pointers_[219] = &evalSphere3D_219;
pointers_[220] = &evalSphere3D_220;
pointers_[221] = &evalSphere3D_221;
pointers_[222] = &evalSphere3D_222;
pointers_[223] = &evalSphere3D_223;
pointers_[224] = &evalSphere3D_224;
pointers_[225] = &evalSphere3D_225;
pointers_[226] = &evalSphere3D_226;
pointers_[227] = &evalSphere3D_227;
pointers_[228] = &evalSphere3D_228;
pointers_[229] = &evalSphere3D_229;
pointers_[230] = &evalSphere3D_230;
pointers_[231] = &evalSphere3D_231;
pointers_[232] = &evalSphere3D_232;
pointers_[233] = &evalSphere3D_233;
pointers_[234] = &evalSphere3D_234;
pointers_[235] = &evalSphere3D_235;
pointers_[236] = &evalSphere3D_236;
pointers_[237] = &evalSphere3D_237;
pointers_[238] = &evalSphere3D_238;
pointers_[239] = &evalSphere3D_239;
pointers_[240] = &evalSphere3D_240;
pointers_[241] = &evalSphere3D_241;
pointers_[242] = &evalSphere3D_242;
pointers_[243] = &evalSphere3D_243;
pointers_[244] = &evalSphere3D_244;
pointers_[245] = &evalSphere3D_245;
pointers_[246] = &evalSphere3D_246;
pointers_[247] = &evalSphere3D_247;
pointers_[248] = &evalSphere3D_248;
pointers_[249] = &evalSphere3D_249;
pointers_[250] = &evalSphere3D_250;
pointers_[251] = &evalSphere3D_251;
pointers_[252] = &evalSphere3D_252;
pointers_[253] = &evalSphere3D_253;
pointers_[254] = &evalSphere3D_254;
pointers_[255] = &evalSphere3D_255;
pointers_[256] = &evalSphere3D_256;
pointers_[257] = &evalSphere3D_257;
pointers_[258] = &evalSphere3D_258;
pointers_[259] = &evalSphere3D_259;
pointers_[260] = &evalSphere3D_260;
pointers_[261] = &evalSphere3D_261;
pointers_[262] = &evalSphere3D_262;
pointers_[263] = &evalSphere3D_263;
pointers_[264] = &evalSphere3D_264;
pointers_[265] = &evalSphere3D_265;
pointers_[266] = &evalSphere3D_266;
pointers_[267] = &evalSphere3D_267;
pointers_[268] = &evalSphere3D_268;
pointers_[269] = &evalSphere3D_269;
pointers_[270] = &evalSphere3D_270;
pointers_[271] = &evalSphere3D_271;
pointers_[272] = &evalSphere3D_272;
pointers_[273] = &evalSphere3D_273;
pointers_[274] = &evalSphere3D_274;
pointers_[275] = &evalSphere3D_275;
pointers_[276] = &evalSphere3D_276;
pointers_[277] = &evalSphere3D_277;
pointers_[278] = &evalSphere3D_278;
pointers_[279] = &evalSphere3D_279;
pointers_[280] = &evalSphere3D_280;
pointers_[281] = &evalSphere3D_281;
pointers_[282] = &evalSphere3D_282;
pointers_[283] = &evalSphere3D_283;
pointers_[284] = &evalSphere3D_284;
pointers_[285] = &evalSphere3D_285;
pointers_[286] = &evalSphere3D_286;
pointers_[287] = &evalSphere3D_287;
pointers_[288] = &evalSphere3D_288;
pointers_[289] = &evalSphere3D_289;
pointers_[290] = &evalSphere3D_290;
pointers_[291] = &evalSphere3D_291;
pointers_[292] = &evalSphere3D_292;
pointers_[293] = &evalSphere3D_293;
pointers_[294] = &evalSphere3D_294;
pointers_[295] = &evalSphere3D_295;
pointers_[296] = &evalSphere3D_296;
pointers_[297] = &evalSphere3D_297;
pointers_[298] = &evalSphere3D_298;
pointers_[299] = &evalSphere3D_299;
pointers_[300] = &evalSphere3D_300;
pointers_[301] = &evalSphere3D_301;
pointers_[302] = &evalSphere3D_302;
pointers_[303] = &evalSphere3D_303;
pointers_[304] = &evalSphere3D_304;
pointers_[305] = &evalSphere3D_305;
pointers_[306] = &evalSphere3D_306;
pointers_[307] = &evalSphere3D_307;
pointers_[308] = &evalSphere3D_308;
pointers_[309] = &evalSphere3D_309;
pointers_[310] = &evalSphere3D_310;
pointers_[311] = &evalSphere3D_311;
pointers_[312] = &evalSphere3D_312;
pointers_[313] = &evalSphere3D_313;
pointers_[314] = &evalSphere3D_314;
pointers_[315] = &evalSphere3D_315;
pointers_[316] = &evalSphere3D_316;
pointers_[317] = &evalSphere3D_317;
pointers_[318] = &evalSphere3D_318;
pointers_[319] = &evalSphere3D_319;
pointers_[320] = &evalSphere3D_320;
pointers_[321] = &evalSphere3D_321;
pointers_[322] = &evalSphere3D_322;
pointers_[323] = &evalSphere3D_323;
pointers_[324] = &evalSphere3D_324;
pointers_[325] = &evalSphere3D_325;
pointers_[326] = &evalSphere3D_326;
pointers_[327] = &evalSphere3D_327;
pointers_[328] = &evalSphere3D_328;
pointers_[329] = &evalSphere3D_329;
pointers_[330] = &evalSphere3D_330;
pointers_[331] = &evalSphere3D_331;
pointers_[332] = &evalSphere3D_332;
pointers_[333] = &evalSphere3D_333;
pointers_[334] = &evalSphere3D_334;
pointers_[335] = &evalSphere3D_335;
pointers_[336] = &evalSphere3D_336;
pointers_[337] = &evalSphere3D_337;
pointers_[338] = &evalSphere3D_338;
pointers_[339] = &evalSphere3D_339;
pointers_[340] = &evalSphere3D_340;
pointers_[341] = &evalSphere3D_341;
pointers_[342] = &evalSphere3D_342;
pointers_[343] = &evalSphere3D_343;
pointers_[344] = &evalSphere3D_344;
pointers_[345] = &evalSphere3D_345;
pointers_[346] = &evalSphere3D_346;
pointers_[347] = &evalSphere3D_347;
pointers_[348] = &evalSphere3D_348;
pointers_[349] = &evalSphere3D_349;
pointers_[350] = &evalSphere3D_350;
pointers_[351] = &evalSphere3D_351;
pointers_[352] = &evalSphere3D_352;
pointers_[353] = &evalSphere3D_353;
pointers_[354] = &evalSphere3D_354;
pointers_[355] = &evalSphere3D_355;
pointers_[356] = &evalSphere3D_356;
pointers_[357] = &evalSphere3D_357;
pointers_[358] = &evalSphere3D_358;
pointers_[359] = &evalSphere3D_359;
pointers_[360] = &evalSphere3D_360;
pointers_[361] = &evalSphere3D_361;
pointers_[362] = &evalSphere3D_362;
pointers_[363] = &evalSphere3D_363;
pointers_[364] = &evalSphere3D_364;
pointers_[365] = &evalSphere3D_365;
pointers_[366] = &evalSphere3D_366;
pointers_[367] = &evalSphere3D_367;
pointers_[368] = &evalSphere3D_368;
pointers_[369] = &evalSphere3D_369;
pointers_[370] = &evalSphere3D_370;
pointers_[371] = &evalSphere3D_371;
pointers_[372] = &evalSphere3D_372;
pointers_[373] = &evalSphere3D_373;
pointers_[374] = &evalSphere3D_374;
pointers_[375] = &evalSphere3D_375;
pointers_[376] = &evalSphere3D_376;
pointers_[377] = &evalSphere3D_377;
pointers_[378] = &evalSphere3D_378;
pointers_[379] = &evalSphere3D_379;
pointers_[380] = &evalSphere3D_380;
pointers_[381] = &evalSphere3D_381;
pointers_[382] = &evalSphere3D_382;
pointers_[383] = &evalSphere3D_383;
pointers_[384] = &evalSphere3D_384;
pointers_[385] = &evalSphere3D_385;
pointers_[386] = &evalSphere3D_386;
pointers_[387] = &evalSphere3D_387;
pointers_[388] = &evalSphere3D_388;
pointers_[389] = &evalSphere3D_389;
pointers_[390] = &evalSphere3D_390;
pointers_[391] = &evalSphere3D_391;
pointers_[392] = &evalSphere3D_392;
pointers_[393] = &evalSphere3D_393;
pointers_[394] = &evalSphere3D_394;
pointers_[395] = &evalSphere3D_395;
pointers_[396] = &evalSphere3D_396;
pointers_[397] = &evalSphere3D_397;
pointers_[398] = &evalSphere3D_398;
pointers_[399] = &evalSphere3D_399;
pointers_[400] = &evalSphere3D_400;
pointers_[401] = &evalSphere3D_401;
pointers_[402] = &evalSphere3D_402;
pointers_[403] = &evalSphere3D_403;
pointers_[404] = &evalSphere3D_404;
pointers_[405] = &evalSphere3D_405;
pointers_[406] = &evalSphere3D_406;
pointers_[407] = &evalSphere3D_407;
pointers_[408] = &evalSphere3D_408;
pointers_[409] = &evalSphere3D_409;
pointers_[410] = &evalSphere3D_410;
pointers_[411] = &evalSphere3D_411;
pointers_[412] = &evalSphere3D_412;
pointers_[413] = &evalSphere3D_413;
pointers_[414] = &evalSphere3D_414;
pointers_[415] = &evalSphere3D_415;
pointers_[416] = &evalSphere3D_416;
pointers_[417] = &evalSphere3D_417;
pointers_[418] = &evalSphere3D_418;
pointers_[419] = &evalSphere3D_419;
pointers_[420] = &evalSphere3D_420;
pointers_[421] = &evalSphere3D_421;
pointers_[422] = &evalSphere3D_422;
pointers_[423] = &evalSphere3D_423;
pointers_[424] = &evalSphere3D_424;
pointers_[425] = &evalSphere3D_425;
pointers_[426] = &evalSphere3D_426;
pointers_[427] = &evalSphere3D_427;
pointers_[428] = &evalSphere3D_428;
pointers_[429] = &evalSphere3D_429;
pointers_[430] = &evalSphere3D_430;
pointers_[431] = &evalSphere3D_431;
pointers_[432] = &evalSphere3D_432;
pointers_[433] = &evalSphere3D_433;
pointers_[434] = &evalSphere3D_434;
pointers_[435] = &evalSphere3D_435;
pointers_[436] = &evalSphere3D_436;
pointers_[437] = &evalSphere3D_437;
pointers_[438] = &evalSphere3D_438;
pointers_[439] = &evalSphere3D_439;
pointers_[440] = &evalSphere3D_440;
pointers_[441] = &evalSphere3D_441;
pointers_[442] = &evalSphere3D_442;
pointers_[443] = &evalSphere3D_443;
pointers_[444] = &evalSphere3D_444;
pointers_[445] = &evalSphere3D_445;
pointers_[446] = &evalSphere3D_446;
pointers_[447] = &evalSphere3D_447;
pointers_[448] = &evalSphere3D_448;
pointers_[449] = &evalSphere3D_449;
pointers_[450] = &evalSphere3D_450;
pointers_[451] = &evalSphere3D_451;
pointers_[452] = &evalSphere3D_452;
pointers_[453] = &evalSphere3D_453;
pointers_[454] = &evalSphere3D_454;
pointers_[455] = &evalSphere3D_455;
pointers_[456] = &evalSphere3D_456;
pointers_[457] = &evalSphere3D_457;
pointers_[458] = &evalSphere3D_458;
pointers_[459] = &evalSphere3D_459;
pointers_[460] = &evalSphere3D_460;
pointers_[461] = &evalSphere3D_461;
pointers_[462] = &evalSphere3D_462;
pointers_[463] = &evalSphere3D_463;
pointers_[464] = &evalSphere3D_464;
pointers_[465] = &evalSphere3D_465;
pointers_[466] = &evalSphere3D_466;
pointers_[467] = &evalSphere3D_467;
pointers_[468] = &evalSphere3D_468;
pointers_[469] = &evalSphere3D_469;
pointers_[470] = &evalSphere3D_470;
pointers_[471] = &evalSphere3D_471;
pointers_[472] = &evalSphere3D_472;
pointers_[473] = &evalSphere3D_473;
pointers_[474] = &evalSphere3D_474;
pointers_[475] = &evalSphere3D_475;
pointers_[476] = &evalSphere3D_476;
pointers_[477] = &evalSphere3D_477;
pointers_[478] = &evalSphere3D_478;
pointers_[479] = &evalSphere3D_479;
pointers_[480] = &evalSphere3D_480;
pointers_[481] = &evalSphere3D_481;
pointers_[482] = &evalSphere3D_482;
pointers_[483] = &evalSphere3D_483;
pointers_[484] = &evalSphere3D_484;
pointers_[485] = &evalSphere3D_485;
pointers_[486] = &evalSphere3D_486;
pointers_[487] = &evalSphere3D_487;
pointers_[488] = &evalSphere3D_488;
pointers_[489] = &evalSphere3D_489;
pointers_[490] = &evalSphere3D_490;
pointers_[491] = &evalSphere3D_491;
pointers_[492] = &evalSphere3D_492;
pointers_[493] = &evalSphere3D_493;
pointers_[494] = &evalSphere3D_494;
pointers_[495] = &evalSphere3D_495;
pointers_[496] = &evalSphere3D_496;
pointers_[497] = &evalSphere3D_497;
pointers_[498] = &evalSphere3D_498;
pointers_[499] = &evalSphere3D_499;
pointers_[500] = &evalSphere3D_500;
pointers_[501] = &evalSphere3D_501;
pointers_[502] = &evalSphere3D_502;
pointers_[503] = &evalSphere3D_503;
pointers_[504] = &evalSphere3D_504;
pointers_[505] = &evalSphere3D_505;
pointers_[506] = &evalSphere3D_506;
pointers_[507] = &evalSphere3D_507;
pointers_[508] = &evalSphere3D_508;
pointers_[509] = &evalSphere3D_509;
pointers_[510] = &evalSphere3D_510;
pointers_[511] = &evalSphere3D_511;
}


