#include <vector>
#include "2D/basis_2D.h"
#include "tensorCompute/torus2DTensor.h"
torus2DTensor::torus2DTensor() {
pointers_.resize(6*6*6);
pointers_[0] = &evaltor2D_0;
pointers_[1] = &evaltor2D_1;
pointers_[2] = &evaltor2D_2;
pointers_[3] = &evaltor2D_3;
pointers_[4] = &evaltor2D_4;
pointers_[5] = &evaltor2D_5;
pointers_[6] = &evaltor2D_6;
pointers_[7] = &evaltor2D_7;
pointers_[8] = &evaltor2D_8;
pointers_[9] = &evaltor2D_9;
pointers_[10] = &evaltor2D_10;
pointers_[11] = &evaltor2D_11;
pointers_[12] = &evaltor2D_12;
pointers_[13] = &evaltor2D_13;
pointers_[14] = &evaltor2D_14;
pointers_[15] = &evaltor2D_15;
pointers_[16] = &evaltor2D_16;
pointers_[17] = &evaltor2D_17;
pointers_[18] = &evaltor2D_18;
pointers_[19] = &evaltor2D_19;
pointers_[20] = &evaltor2D_20;
pointers_[21] = &evaltor2D_21;
pointers_[22] = &evaltor2D_22;
pointers_[23] = &evaltor2D_23;
pointers_[24] = &evaltor2D_24;
pointers_[25] = &evaltor2D_25;
pointers_[26] = &evaltor2D_26;
pointers_[27] = &evaltor2D_27;
pointers_[28] = &evaltor2D_28;
pointers_[29] = &evaltor2D_29;
pointers_[30] = &evaltor2D_30;
pointers_[31] = &evaltor2D_31;
pointers_[32] = &evaltor2D_32;
pointers_[33] = &evaltor2D_33;
pointers_[34] = &evaltor2D_34;
pointers_[35] = &evaltor2D_35;
pointers_[36] = &evaltor2D_36;
pointers_[37] = &evaltor2D_37;
pointers_[38] = &evaltor2D_38;
pointers_[39] = &evaltor2D_39;
pointers_[40] = &evaltor2D_40;
pointers_[41] = &evaltor2D_41;
pointers_[42] = &evaltor2D_42;
pointers_[43] = &evaltor2D_43;
pointers_[44] = &evaltor2D_44;
pointers_[45] = &evaltor2D_45;
pointers_[46] = &evaltor2D_46;
pointers_[47] = &evaltor2D_47;
pointers_[48] = &evaltor2D_48;
pointers_[49] = &evaltor2D_49;
pointers_[50] = &evaltor2D_50;
pointers_[51] = &evaltor2D_51;
pointers_[52] = &evaltor2D_52;
pointers_[53] = &evaltor2D_53;
pointers_[54] = &evaltor2D_54;
pointers_[55] = &evaltor2D_55;
pointers_[56] = &evaltor2D_56;
pointers_[57] = &evaltor2D_57;
pointers_[58] = &evaltor2D_58;
pointers_[59] = &evaltor2D_59;
pointers_[60] = &evaltor2D_60;
pointers_[61] = &evaltor2D_61;
pointers_[62] = &evaltor2D_62;
pointers_[63] = &evaltor2D_63;
pointers_[64] = &evaltor2D_64;
pointers_[65] = &evaltor2D_65;
pointers_[66] = &evaltor2D_66;
pointers_[67] = &evaltor2D_67;
pointers_[68] = &evaltor2D_68;
pointers_[69] = &evaltor2D_69;
pointers_[70] = &evaltor2D_70;
pointers_[71] = &evaltor2D_71;
pointers_[72] = &evaltor2D_72;
pointers_[73] = &evaltor2D_73;
pointers_[74] = &evaltor2D_74;
pointers_[75] = &evaltor2D_75;
pointers_[76] = &evaltor2D_76;
pointers_[77] = &evaltor2D_77;
pointers_[78] = &evaltor2D_78;
pointers_[79] = &evaltor2D_79;
pointers_[80] = &evaltor2D_80;
pointers_[81] = &evaltor2D_81;
pointers_[82] = &evaltor2D_82;
pointers_[83] = &evaltor2D_83;
pointers_[84] = &evaltor2D_84;
pointers_[85] = &evaltor2D_85;
pointers_[86] = &evaltor2D_86;
pointers_[87] = &evaltor2D_87;
pointers_[88] = &evaltor2D_88;
pointers_[89] = &evaltor2D_89;
pointers_[90] = &evaltor2D_90;
pointers_[91] = &evaltor2D_91;
pointers_[92] = &evaltor2D_92;
pointers_[93] = &evaltor2D_93;
pointers_[94] = &evaltor2D_94;
pointers_[95] = &evaltor2D_95;
pointers_[96] = &evaltor2D_96;
pointers_[97] = &evaltor2D_97;
pointers_[98] = &evaltor2D_98;
pointers_[99] = &evaltor2D_99;
pointers_[100] = &evaltor2D_100;
pointers_[101] = &evaltor2D_101;
pointers_[102] = &evaltor2D_102;
pointers_[103] = &evaltor2D_103;
pointers_[104] = &evaltor2D_104;
pointers_[105] = &evaltor2D_105;
pointers_[106] = &evaltor2D_106;
pointers_[107] = &evaltor2D_107;
pointers_[108] = &evaltor2D_108;
pointers_[109] = &evaltor2D_109;
pointers_[110] = &evaltor2D_110;
pointers_[111] = &evaltor2D_111;
pointers_[112] = &evaltor2D_112;
pointers_[113] = &evaltor2D_113;
pointers_[114] = &evaltor2D_114;
pointers_[115] = &evaltor2D_115;
pointers_[116] = &evaltor2D_116;
pointers_[117] = &evaltor2D_117;
pointers_[118] = &evaltor2D_118;
pointers_[119] = &evaltor2D_119;
pointers_[120] = &evaltor2D_120;
pointers_[121] = &evaltor2D_121;
pointers_[122] = &evaltor2D_122;
pointers_[123] = &evaltor2D_123;
pointers_[124] = &evaltor2D_124;
pointers_[125] = &evaltor2D_125;
pointers_[126] = &evaltor2D_126;
pointers_[127] = &evaltor2D_127;
pointers_[128] = &evaltor2D_128;
pointers_[129] = &evaltor2D_129;
pointers_[130] = &evaltor2D_130;
pointers_[131] = &evaltor2D_131;
pointers_[132] = &evaltor2D_132;
pointers_[133] = &evaltor2D_133;
pointers_[134] = &evaltor2D_134;
pointers_[135] = &evaltor2D_135;
pointers_[136] = &evaltor2D_136;
pointers_[137] = &evaltor2D_137;
pointers_[138] = &evaltor2D_138;
pointers_[139] = &evaltor2D_139;
pointers_[140] = &evaltor2D_140;
pointers_[141] = &evaltor2D_141;
pointers_[142] = &evaltor2D_142;
pointers_[143] = &evaltor2D_143;
pointers_[144] = &evaltor2D_144;
pointers_[145] = &evaltor2D_145;
pointers_[146] = &evaltor2D_146;
pointers_[147] = &evaltor2D_147;
pointers_[148] = &evaltor2D_148;
pointers_[149] = &evaltor2D_149;
pointers_[150] = &evaltor2D_150;
pointers_[151] = &evaltor2D_151;
pointers_[152] = &evaltor2D_152;
pointers_[153] = &evaltor2D_153;
pointers_[154] = &evaltor2D_154;
pointers_[155] = &evaltor2D_155;
pointers_[156] = &evaltor2D_156;
pointers_[157] = &evaltor2D_157;
pointers_[158] = &evaltor2D_158;
pointers_[159] = &evaltor2D_159;
pointers_[160] = &evaltor2D_160;
pointers_[161] = &evaltor2D_161;
pointers_[162] = &evaltor2D_162;
pointers_[163] = &evaltor2D_163;
pointers_[164] = &evaltor2D_164;
pointers_[165] = &evaltor2D_165;
pointers_[166] = &evaltor2D_166;
pointers_[167] = &evaltor2D_167;
pointers_[168] = &evaltor2D_168;
pointers_[169] = &evaltor2D_169;
pointers_[170] = &evaltor2D_170;
pointers_[171] = &evaltor2D_171;
pointers_[172] = &evaltor2D_172;
pointers_[173] = &evaltor2D_173;
pointers_[174] = &evaltor2D_174;
pointers_[175] = &evaltor2D_175;
pointers_[176] = &evaltor2D_176;
pointers_[177] = &evaltor2D_177;
pointers_[178] = &evaltor2D_178;
pointers_[179] = &evaltor2D_179;
pointers_[180] = &evaltor2D_180;
pointers_[181] = &evaltor2D_181;
pointers_[182] = &evaltor2D_182;
pointers_[183] = &evaltor2D_183;
pointers_[184] = &evaltor2D_184;
pointers_[185] = &evaltor2D_185;
pointers_[186] = &evaltor2D_186;
pointers_[187] = &evaltor2D_187;
pointers_[188] = &evaltor2D_188;
pointers_[189] = &evaltor2D_189;
pointers_[190] = &evaltor2D_190;
pointers_[191] = &evaltor2D_191;
pointers_[192] = &evaltor2D_192;
pointers_[193] = &evaltor2D_193;
pointers_[194] = &evaltor2D_194;
pointers_[195] = &evaltor2D_195;
pointers_[196] = &evaltor2D_196;
pointers_[197] = &evaltor2D_197;
pointers_[198] = &evaltor2D_198;
pointers_[199] = &evaltor2D_199;
pointers_[200] = &evaltor2D_200;
pointers_[201] = &evaltor2D_201;
pointers_[202] = &evaltor2D_202;
pointers_[203] = &evaltor2D_203;
pointers_[204] = &evaltor2D_204;
pointers_[205] = &evaltor2D_205;
pointers_[206] = &evaltor2D_206;
pointers_[207] = &evaltor2D_207;
pointers_[208] = &evaltor2D_208;
pointers_[209] = &evaltor2D_209;
pointers_[210] = &evaltor2D_210;
pointers_[211] = &evaltor2D_211;
pointers_[212] = &evaltor2D_212;
pointers_[213] = &evaltor2D_213;
pointers_[214] = &evaltor2D_214;
pointers_[215] = &evaltor2D_215;
}


