#include <vector>
#include "sphere_3D/basis_3D.h"
#include "tensorCompute/sph3DRTensor.h"
sph3DRTensor::sph3DRTensor() {
pointers_.resize(8*8*8);
pointers_[0] = &evalsph3DR_0;
pointers_[1] = &evalsph3DR_1;
pointers_[2] = &evalsph3DR_2;
pointers_[3] = &evalsph3DR_3;
pointers_[4] = &evalsph3DR_4;
pointers_[5] = &evalsph3DR_5;
pointers_[6] = &evalsph3DR_6;
pointers_[7] = &evalsph3DR_7;
pointers_[8] = &evalsph3DR_8;
pointers_[9] = &evalsph3DR_9;
pointers_[10] = &evalsph3DR_10;
pointers_[11] = &evalsph3DR_11;
pointers_[12] = &evalsph3DR_12;
pointers_[13] = &evalsph3DR_13;
pointers_[14] = &evalsph3DR_14;
pointers_[15] = &evalsph3DR_15;
pointers_[16] = &evalsph3DR_16;
pointers_[17] = &evalsph3DR_17;
pointers_[18] = &evalsph3DR_18;
pointers_[19] = &evalsph3DR_19;
pointers_[20] = &evalsph3DR_20;
pointers_[21] = &evalsph3DR_21;
pointers_[22] = &evalsph3DR_22;
pointers_[23] = &evalsph3DR_23;
pointers_[24] = &evalsph3DR_24;
pointers_[25] = &evalsph3DR_25;
pointers_[26] = &evalsph3DR_26;
pointers_[27] = &evalsph3DR_27;
pointers_[28] = &evalsph3DR_28;
pointers_[29] = &evalsph3DR_29;
pointers_[30] = &evalsph3DR_30;
pointers_[31] = &evalsph3DR_31;
pointers_[32] = &evalsph3DR_32;
pointers_[33] = &evalsph3DR_33;
pointers_[34] = &evalsph3DR_34;
pointers_[35] = &evalsph3DR_35;
pointers_[36] = &evalsph3DR_36;
pointers_[37] = &evalsph3DR_37;
pointers_[38] = &evalsph3DR_38;
pointers_[39] = &evalsph3DR_39;
pointers_[40] = &evalsph3DR_40;
pointers_[41] = &evalsph3DR_41;
pointers_[42] = &evalsph3DR_42;
pointers_[43] = &evalsph3DR_43;
pointers_[44] = &evalsph3DR_44;
pointers_[45] = &evalsph3DR_45;
pointers_[46] = &evalsph3DR_46;
pointers_[47] = &evalsph3DR_47;
pointers_[48] = &evalsph3DR_48;
pointers_[49] = &evalsph3DR_49;
pointers_[50] = &evalsph3DR_50;
pointers_[51] = &evalsph3DR_51;
pointers_[52] = &evalsph3DR_52;
pointers_[53] = &evalsph3DR_53;
pointers_[54] = &evalsph3DR_54;
pointers_[55] = &evalsph3DR_55;
pointers_[56] = &evalsph3DR_56;
pointers_[57] = &evalsph3DR_57;
pointers_[58] = &evalsph3DR_58;
pointers_[59] = &evalsph3DR_59;
pointers_[60] = &evalsph3DR_60;
pointers_[61] = &evalsph3DR_61;
pointers_[62] = &evalsph3DR_62;
pointers_[63] = &evalsph3DR_63;
pointers_[64] = &evalsph3DR_64;
pointers_[65] = &evalsph3DR_65;
pointers_[66] = &evalsph3DR_66;
pointers_[67] = &evalsph3DR_67;
pointers_[68] = &evalsph3DR_68;
pointers_[69] = &evalsph3DR_69;
pointers_[70] = &evalsph3DR_70;
pointers_[71] = &evalsph3DR_71;
pointers_[72] = &evalsph3DR_72;
pointers_[73] = &evalsph3DR_73;
pointers_[74] = &evalsph3DR_74;
pointers_[75] = &evalsph3DR_75;
pointers_[76] = &evalsph3DR_76;
pointers_[77] = &evalsph3DR_77;
pointers_[78] = &evalsph3DR_78;
pointers_[79] = &evalsph3DR_79;
pointers_[80] = &evalsph3DR_80;
pointers_[81] = &evalsph3DR_81;
pointers_[82] = &evalsph3DR_82;
pointers_[83] = &evalsph3DR_83;
pointers_[84] = &evalsph3DR_84;
pointers_[85] = &evalsph3DR_85;
pointers_[86] = &evalsph3DR_86;
pointers_[87] = &evalsph3DR_87;
pointers_[88] = &evalsph3DR_88;
pointers_[89] = &evalsph3DR_89;
pointers_[90] = &evalsph3DR_90;
pointers_[91] = &evalsph3DR_91;
pointers_[92] = &evalsph3DR_92;
pointers_[93] = &evalsph3DR_93;
pointers_[94] = &evalsph3DR_94;
pointers_[95] = &evalsph3DR_95;
pointers_[96] = &evalsph3DR_96;
pointers_[97] = &evalsph3DR_97;
pointers_[98] = &evalsph3DR_98;
pointers_[99] = &evalsph3DR_99;
pointers_[100] = &evalsph3DR_100;
pointers_[101] = &evalsph3DR_101;
pointers_[102] = &evalsph3DR_102;
pointers_[103] = &evalsph3DR_103;
pointers_[104] = &evalsph3DR_104;
pointers_[105] = &evalsph3DR_105;
pointers_[106] = &evalsph3DR_106;
pointers_[107] = &evalsph3DR_107;
pointers_[108] = &evalsph3DR_108;
pointers_[109] = &evalsph3DR_109;
pointers_[110] = &evalsph3DR_110;
pointers_[111] = &evalsph3DR_111;
pointers_[112] = &evalsph3DR_112;
pointers_[113] = &evalsph3DR_113;
pointers_[114] = &evalsph3DR_114;
pointers_[115] = &evalsph3DR_115;
pointers_[116] = &evalsph3DR_116;
pointers_[117] = &evalsph3DR_117;
pointers_[118] = &evalsph3DR_118;
pointers_[119] = &evalsph3DR_119;
pointers_[120] = &evalsph3DR_120;
pointers_[121] = &evalsph3DR_121;
pointers_[122] = &evalsph3DR_122;
pointers_[123] = &evalsph3DR_123;
pointers_[124] = &evalsph3DR_124;
pointers_[125] = &evalsph3DR_125;
pointers_[126] = &evalsph3DR_126;
pointers_[127] = &evalsph3DR_127;
pointers_[128] = &evalsph3DR_128;
pointers_[129] = &evalsph3DR_129;
pointers_[130] = &evalsph3DR_130;
pointers_[131] = &evalsph3DR_131;
pointers_[132] = &evalsph3DR_132;
pointers_[133] = &evalsph3DR_133;
pointers_[134] = &evalsph3DR_134;
pointers_[135] = &evalsph3DR_135;
pointers_[136] = &evalsph3DR_136;
pointers_[137] = &evalsph3DR_137;
pointers_[138] = &evalsph3DR_138;
pointers_[139] = &evalsph3DR_139;
pointers_[140] = &evalsph3DR_140;
pointers_[141] = &evalsph3DR_141;
pointers_[142] = &evalsph3DR_142;
pointers_[143] = &evalsph3DR_143;
pointers_[144] = &evalsph3DR_144;
pointers_[145] = &evalsph3DR_145;
pointers_[146] = &evalsph3DR_146;
pointers_[147] = &evalsph3DR_147;
pointers_[148] = &evalsph3DR_148;
pointers_[149] = &evalsph3DR_149;
pointers_[150] = &evalsph3DR_150;
pointers_[151] = &evalsph3DR_151;
pointers_[152] = &evalsph3DR_152;
pointers_[153] = &evalsph3DR_153;
pointers_[154] = &evalsph3DR_154;
pointers_[155] = &evalsph3DR_155;
pointers_[156] = &evalsph3DR_156;
pointers_[157] = &evalsph3DR_157;
pointers_[158] = &evalsph3DR_158;
pointers_[159] = &evalsph3DR_159;
pointers_[160] = &evalsph3DR_160;
pointers_[161] = &evalsph3DR_161;
pointers_[162] = &evalsph3DR_162;
pointers_[163] = &evalsph3DR_163;
pointers_[164] = &evalsph3DR_164;
pointers_[165] = &evalsph3DR_165;
pointers_[166] = &evalsph3DR_166;
pointers_[167] = &evalsph3DR_167;
pointers_[168] = &evalsph3DR_168;
pointers_[169] = &evalsph3DR_169;
pointers_[170] = &evalsph3DR_170;
pointers_[171] = &evalsph3DR_171;
pointers_[172] = &evalsph3DR_172;
pointers_[173] = &evalsph3DR_173;
pointers_[174] = &evalsph3DR_174;
pointers_[175] = &evalsph3DR_175;
pointers_[176] = &evalsph3DR_176;
pointers_[177] = &evalsph3DR_177;
pointers_[178] = &evalsph3DR_178;
pointers_[179] = &evalsph3DR_179;
pointers_[180] = &evalsph3DR_180;
pointers_[181] = &evalsph3DR_181;
pointers_[182] = &evalsph3DR_182;
pointers_[183] = &evalsph3DR_183;
pointers_[184] = &evalsph3DR_184;
pointers_[185] = &evalsph3DR_185;
pointers_[186] = &evalsph3DR_186;
pointers_[187] = &evalsph3DR_187;
pointers_[188] = &evalsph3DR_188;
pointers_[189] = &evalsph3DR_189;
pointers_[190] = &evalsph3DR_190;
pointers_[191] = &evalsph3DR_191;
pointers_[192] = &evalsph3DR_192;
pointers_[193] = &evalsph3DR_193;
pointers_[194] = &evalsph3DR_194;
pointers_[195] = &evalsph3DR_195;
pointers_[196] = &evalsph3DR_196;
pointers_[197] = &evalsph3DR_197;
pointers_[198] = &evalsph3DR_198;
pointers_[199] = &evalsph3DR_199;
pointers_[200] = &evalsph3DR_200;
pointers_[201] = &evalsph3DR_201;
pointers_[202] = &evalsph3DR_202;
pointers_[203] = &evalsph3DR_203;
pointers_[204] = &evalsph3DR_204;
pointers_[205] = &evalsph3DR_205;
pointers_[206] = &evalsph3DR_206;
pointers_[207] = &evalsph3DR_207;
pointers_[208] = &evalsph3DR_208;
pointers_[209] = &evalsph3DR_209;
pointers_[210] = &evalsph3DR_210;
pointers_[211] = &evalsph3DR_211;
pointers_[212] = &evalsph3DR_212;
pointers_[213] = &evalsph3DR_213;
pointers_[214] = &evalsph3DR_214;
pointers_[215] = &evalsph3DR_215;
pointers_[216] = &evalsph3DR_216;
pointers_[217] = &evalsph3DR_217;
pointers_[218] = &evalsph3DR_218;
pointers_[219] = &evalsph3DR_219;
pointers_[220] = &evalsph3DR_220;
pointers_[221] = &evalsph3DR_221;
pointers_[222] = &evalsph3DR_222;
pointers_[223] = &evalsph3DR_223;
pointers_[224] = &evalsph3DR_224;
pointers_[225] = &evalsph3DR_225;
pointers_[226] = &evalsph3DR_226;
pointers_[227] = &evalsph3DR_227;
pointers_[228] = &evalsph3DR_228;
pointers_[229] = &evalsph3DR_229;
pointers_[230] = &evalsph3DR_230;
pointers_[231] = &evalsph3DR_231;
pointers_[232] = &evalsph3DR_232;
pointers_[233] = &evalsph3DR_233;
pointers_[234] = &evalsph3DR_234;
pointers_[235] = &evalsph3DR_235;
pointers_[236] = &evalsph3DR_236;
pointers_[237] = &evalsph3DR_237;
pointers_[238] = &evalsph3DR_238;
pointers_[239] = &evalsph3DR_239;
pointers_[240] = &evalsph3DR_240;
pointers_[241] = &evalsph3DR_241;
pointers_[242] = &evalsph3DR_242;
pointers_[243] = &evalsph3DR_243;
pointers_[244] = &evalsph3DR_244;
pointers_[245] = &evalsph3DR_245;
pointers_[246] = &evalsph3DR_246;
pointers_[247] = &evalsph3DR_247;
pointers_[248] = &evalsph3DR_248;
pointers_[249] = &evalsph3DR_249;
pointers_[250] = &evalsph3DR_250;
pointers_[251] = &evalsph3DR_251;
pointers_[252] = &evalsph3DR_252;
pointers_[253] = &evalsph3DR_253;
pointers_[254] = &evalsph3DR_254;
pointers_[255] = &evalsph3DR_255;
pointers_[256] = &evalsph3DR_256;
pointers_[257] = &evalsph3DR_257;
pointers_[258] = &evalsph3DR_258;
pointers_[259] = &evalsph3DR_259;
pointers_[260] = &evalsph3DR_260;
pointers_[261] = &evalsph3DR_261;
pointers_[262] = &evalsph3DR_262;
pointers_[263] = &evalsph3DR_263;
pointers_[264] = &evalsph3DR_264;
pointers_[265] = &evalsph3DR_265;
pointers_[266] = &evalsph3DR_266;
pointers_[267] = &evalsph3DR_267;
pointers_[268] = &evalsph3DR_268;
pointers_[269] = &evalsph3DR_269;
pointers_[270] = &evalsph3DR_270;
pointers_[271] = &evalsph3DR_271;
pointers_[272] = &evalsph3DR_272;
pointers_[273] = &evalsph3DR_273;
pointers_[274] = &evalsph3DR_274;
pointers_[275] = &evalsph3DR_275;
pointers_[276] = &evalsph3DR_276;
pointers_[277] = &evalsph3DR_277;
pointers_[278] = &evalsph3DR_278;
pointers_[279] = &evalsph3DR_279;
pointers_[280] = &evalsph3DR_280;
pointers_[281] = &evalsph3DR_281;
pointers_[282] = &evalsph3DR_282;
pointers_[283] = &evalsph3DR_283;
pointers_[284] = &evalsph3DR_284;
pointers_[285] = &evalsph3DR_285;
pointers_[286] = &evalsph3DR_286;
pointers_[287] = &evalsph3DR_287;
pointers_[288] = &evalsph3DR_288;
pointers_[289] = &evalsph3DR_289;
pointers_[290] = &evalsph3DR_290;
pointers_[291] = &evalsph3DR_291;
pointers_[292] = &evalsph3DR_292;
pointers_[293] = &evalsph3DR_293;
pointers_[294] = &evalsph3DR_294;
pointers_[295] = &evalsph3DR_295;
pointers_[296] = &evalsph3DR_296;
pointers_[297] = &evalsph3DR_297;
pointers_[298] = &evalsph3DR_298;
pointers_[299] = &evalsph3DR_299;
pointers_[300] = &evalsph3DR_300;
pointers_[301] = &evalsph3DR_301;
pointers_[302] = &evalsph3DR_302;
pointers_[303] = &evalsph3DR_303;
pointers_[304] = &evalsph3DR_304;
pointers_[305] = &evalsph3DR_305;
pointers_[306] = &evalsph3DR_306;
pointers_[307] = &evalsph3DR_307;
pointers_[308] = &evalsph3DR_308;
pointers_[309] = &evalsph3DR_309;
pointers_[310] = &evalsph3DR_310;
pointers_[311] = &evalsph3DR_311;
pointers_[312] = &evalsph3DR_312;
pointers_[313] = &evalsph3DR_313;
pointers_[314] = &evalsph3DR_314;
pointers_[315] = &evalsph3DR_315;
pointers_[316] = &evalsph3DR_316;
pointers_[317] = &evalsph3DR_317;
pointers_[318] = &evalsph3DR_318;
pointers_[319] = &evalsph3DR_319;
pointers_[320] = &evalsph3DR_320;
pointers_[321] = &evalsph3DR_321;
pointers_[322] = &evalsph3DR_322;
pointers_[323] = &evalsph3DR_323;
pointers_[324] = &evalsph3DR_324;
pointers_[325] = &evalsph3DR_325;
pointers_[326] = &evalsph3DR_326;
pointers_[327] = &evalsph3DR_327;
pointers_[328] = &evalsph3DR_328;
pointers_[329] = &evalsph3DR_329;
pointers_[330] = &evalsph3DR_330;
pointers_[331] = &evalsph3DR_331;
pointers_[332] = &evalsph3DR_332;
pointers_[333] = &evalsph3DR_333;
pointers_[334] = &evalsph3DR_334;
pointers_[335] = &evalsph3DR_335;
pointers_[336] = &evalsph3DR_336;
pointers_[337] = &evalsph3DR_337;
pointers_[338] = &evalsph3DR_338;
pointers_[339] = &evalsph3DR_339;
pointers_[340] = &evalsph3DR_340;
pointers_[341] = &evalsph3DR_341;
pointers_[342] = &evalsph3DR_342;
pointers_[343] = &evalsph3DR_343;
pointers_[344] = &evalsph3DR_344;
pointers_[345] = &evalsph3DR_345;
pointers_[346] = &evalsph3DR_346;
pointers_[347] = &evalsph3DR_347;
pointers_[348] = &evalsph3DR_348;
pointers_[349] = &evalsph3DR_349;
pointers_[350] = &evalsph3DR_350;
pointers_[351] = &evalsph3DR_351;
pointers_[352] = &evalsph3DR_352;
pointers_[353] = &evalsph3DR_353;
pointers_[354] = &evalsph3DR_354;
pointers_[355] = &evalsph3DR_355;
pointers_[356] = &evalsph3DR_356;
pointers_[357] = &evalsph3DR_357;
pointers_[358] = &evalsph3DR_358;
pointers_[359] = &evalsph3DR_359;
pointers_[360] = &evalsph3DR_360;
pointers_[361] = &evalsph3DR_361;
pointers_[362] = &evalsph3DR_362;
pointers_[363] = &evalsph3DR_363;
pointers_[364] = &evalsph3DR_364;
pointers_[365] = &evalsph3DR_365;
pointers_[366] = &evalsph3DR_366;
pointers_[367] = &evalsph3DR_367;
pointers_[368] = &evalsph3DR_368;
pointers_[369] = &evalsph3DR_369;
pointers_[370] = &evalsph3DR_370;
pointers_[371] = &evalsph3DR_371;
pointers_[372] = &evalsph3DR_372;
pointers_[373] = &evalsph3DR_373;
pointers_[374] = &evalsph3DR_374;
pointers_[375] = &evalsph3DR_375;
pointers_[376] = &evalsph3DR_376;
pointers_[377] = &evalsph3DR_377;
pointers_[378] = &evalsph3DR_378;
pointers_[379] = &evalsph3DR_379;
pointers_[380] = &evalsph3DR_380;
pointers_[381] = &evalsph3DR_381;
pointers_[382] = &evalsph3DR_382;
pointers_[383] = &evalsph3DR_383;
pointers_[384] = &evalsph3DR_384;
pointers_[385] = &evalsph3DR_385;
pointers_[386] = &evalsph3DR_386;
pointers_[387] = &evalsph3DR_387;
pointers_[388] = &evalsph3DR_388;
pointers_[389] = &evalsph3DR_389;
pointers_[390] = &evalsph3DR_390;
pointers_[391] = &evalsph3DR_391;
pointers_[392] = &evalsph3DR_392;
pointers_[393] = &evalsph3DR_393;
pointers_[394] = &evalsph3DR_394;
pointers_[395] = &evalsph3DR_395;
pointers_[396] = &evalsph3DR_396;
pointers_[397] = &evalsph3DR_397;
pointers_[398] = &evalsph3DR_398;
pointers_[399] = &evalsph3DR_399;
pointers_[400] = &evalsph3DR_400;
pointers_[401] = &evalsph3DR_401;
pointers_[402] = &evalsph3DR_402;
pointers_[403] = &evalsph3DR_403;
pointers_[404] = &evalsph3DR_404;
pointers_[405] = &evalsph3DR_405;
pointers_[406] = &evalsph3DR_406;
pointers_[407] = &evalsph3DR_407;
pointers_[408] = &evalsph3DR_408;
pointers_[409] = &evalsph3DR_409;
pointers_[410] = &evalsph3DR_410;
pointers_[411] = &evalsph3DR_411;
pointers_[412] = &evalsph3DR_412;
pointers_[413] = &evalsph3DR_413;
pointers_[414] = &evalsph3DR_414;
pointers_[415] = &evalsph3DR_415;
pointers_[416] = &evalsph3DR_416;
pointers_[417] = &evalsph3DR_417;
pointers_[418] = &evalsph3DR_418;
pointers_[419] = &evalsph3DR_419;
pointers_[420] = &evalsph3DR_420;
pointers_[421] = &evalsph3DR_421;
pointers_[422] = &evalsph3DR_422;
pointers_[423] = &evalsph3DR_423;
pointers_[424] = &evalsph3DR_424;
pointers_[425] = &evalsph3DR_425;
pointers_[426] = &evalsph3DR_426;
pointers_[427] = &evalsph3DR_427;
pointers_[428] = &evalsph3DR_428;
pointers_[429] = &evalsph3DR_429;
pointers_[430] = &evalsph3DR_430;
pointers_[431] = &evalsph3DR_431;
pointers_[432] = &evalsph3DR_432;
pointers_[433] = &evalsph3DR_433;
pointers_[434] = &evalsph3DR_434;
pointers_[435] = &evalsph3DR_435;
pointers_[436] = &evalsph3DR_436;
pointers_[437] = &evalsph3DR_437;
pointers_[438] = &evalsph3DR_438;
pointers_[439] = &evalsph3DR_439;
pointers_[440] = &evalsph3DR_440;
pointers_[441] = &evalsph3DR_441;
pointers_[442] = &evalsph3DR_442;
pointers_[443] = &evalsph3DR_443;
pointers_[444] = &evalsph3DR_444;
pointers_[445] = &evalsph3DR_445;
pointers_[446] = &evalsph3DR_446;
pointers_[447] = &evalsph3DR_447;
pointers_[448] = &evalsph3DR_448;
pointers_[449] = &evalsph3DR_449;
pointers_[450] = &evalsph3DR_450;
pointers_[451] = &evalsph3DR_451;
pointers_[452] = &evalsph3DR_452;
pointers_[453] = &evalsph3DR_453;
pointers_[454] = &evalsph3DR_454;
pointers_[455] = &evalsph3DR_455;
pointers_[456] = &evalsph3DR_456;
pointers_[457] = &evalsph3DR_457;
pointers_[458] = &evalsph3DR_458;
pointers_[459] = &evalsph3DR_459;
pointers_[460] = &evalsph3DR_460;
pointers_[461] = &evalsph3DR_461;
pointers_[462] = &evalsph3DR_462;
pointers_[463] = &evalsph3DR_463;
pointers_[464] = &evalsph3DR_464;
pointers_[465] = &evalsph3DR_465;
pointers_[466] = &evalsph3DR_466;
pointers_[467] = &evalsph3DR_467;
pointers_[468] = &evalsph3DR_468;
pointers_[469] = &evalsph3DR_469;
pointers_[470] = &evalsph3DR_470;
pointers_[471] = &evalsph3DR_471;
pointers_[472] = &evalsph3DR_472;
pointers_[473] = &evalsph3DR_473;
pointers_[474] = &evalsph3DR_474;
pointers_[475] = &evalsph3DR_475;
pointers_[476] = &evalsph3DR_476;
pointers_[477] = &evalsph3DR_477;
pointers_[478] = &evalsph3DR_478;
pointers_[479] = &evalsph3DR_479;
pointers_[480] = &evalsph3DR_480;
pointers_[481] = &evalsph3DR_481;
pointers_[482] = &evalsph3DR_482;
pointers_[483] = &evalsph3DR_483;
pointers_[484] = &evalsph3DR_484;
pointers_[485] = &evalsph3DR_485;
pointers_[486] = &evalsph3DR_486;
pointers_[487] = &evalsph3DR_487;
pointers_[488] = &evalsph3DR_488;
pointers_[489] = &evalsph3DR_489;
pointers_[490] = &evalsph3DR_490;
pointers_[491] = &evalsph3DR_491;
pointers_[492] = &evalsph3DR_492;
pointers_[493] = &evalsph3DR_493;
pointers_[494] = &evalsph3DR_494;
pointers_[495] = &evalsph3DR_495;
pointers_[496] = &evalsph3DR_496;
pointers_[497] = &evalsph3DR_497;
pointers_[498] = &evalsph3DR_498;
pointers_[499] = &evalsph3DR_499;
pointers_[500] = &evalsph3DR_500;
pointers_[501] = &evalsph3DR_501;
pointers_[502] = &evalsph3DR_502;
pointers_[503] = &evalsph3DR_503;
pointers_[504] = &evalsph3DR_504;
pointers_[505] = &evalsph3DR_505;
pointers_[506] = &evalsph3DR_506;
pointers_[507] = &evalsph3DR_507;
pointers_[508] = &evalsph3DR_508;
pointers_[509] = &evalsph3DR_509;
pointers_[510] = &evalsph3DR_510;
pointers_[511] = &evalsph3DR_511;
}


