#include <vector>
#include "sphere_3D/basis_3D.h"
#include "tensorCompute/sph3DSRTensor.h"
sph3DSRTensor::sph3DSRTensor() {
pointers_.resize(10*10*10);
pointers_[0] = &evalsph3DSR_0;
pointers_[1] = &evalsph3DSR_1;
pointers_[2] = &evalsph3DSR_2;
pointers_[3] = &evalsph3DSR_3;
pointers_[4] = &evalsph3DSR_4;
pointers_[5] = &evalsph3DSR_5;
pointers_[6] = &evalsph3DSR_6;
pointers_[7] = &evalsph3DSR_7;
pointers_[8] = &evalsph3DSR_8;
pointers_[9] = &evalsph3DSR_9;
pointers_[10] = &evalsph3DSR_10;
pointers_[11] = &evalsph3DSR_11;
pointers_[12] = &evalsph3DSR_12;
pointers_[13] = &evalsph3DSR_13;
pointers_[14] = &evalsph3DSR_14;
pointers_[15] = &evalsph3DSR_15;
pointers_[16] = &evalsph3DSR_16;
pointers_[17] = &evalsph3DSR_17;
pointers_[18] = &evalsph3DSR_18;
pointers_[19] = &evalsph3DSR_19;
pointers_[20] = &evalsph3DSR_20;
pointers_[21] = &evalsph3DSR_21;
pointers_[22] = &evalsph3DSR_22;
pointers_[23] = &evalsph3DSR_23;
pointers_[24] = &evalsph3DSR_24;
pointers_[25] = &evalsph3DSR_25;
pointers_[26] = &evalsph3DSR_26;
pointers_[27] = &evalsph3DSR_27;
pointers_[28] = &evalsph3DSR_28;
pointers_[29] = &evalsph3DSR_29;
pointers_[30] = &evalsph3DSR_30;
pointers_[31] = &evalsph3DSR_31;
pointers_[32] = &evalsph3DSR_32;
pointers_[33] = &evalsph3DSR_33;
pointers_[34] = &evalsph3DSR_34;
pointers_[35] = &evalsph3DSR_35;
pointers_[36] = &evalsph3DSR_36;
pointers_[37] = &evalsph3DSR_37;
pointers_[38] = &evalsph3DSR_38;
pointers_[39] = &evalsph3DSR_39;
pointers_[40] = &evalsph3DSR_40;
pointers_[41] = &evalsph3DSR_41;
pointers_[42] = &evalsph3DSR_42;
pointers_[43] = &evalsph3DSR_43;
pointers_[44] = &evalsph3DSR_44;
pointers_[45] = &evalsph3DSR_45;
pointers_[46] = &evalsph3DSR_46;
pointers_[47] = &evalsph3DSR_47;
pointers_[48] = &evalsph3DSR_48;
pointers_[49] = &evalsph3DSR_49;
pointers_[50] = &evalsph3DSR_50;
pointers_[51] = &evalsph3DSR_51;
pointers_[52] = &evalsph3DSR_52;
pointers_[53] = &evalsph3DSR_53;
pointers_[54] = &evalsph3DSR_54;
pointers_[55] = &evalsph3DSR_55;
pointers_[56] = &evalsph3DSR_56;
pointers_[57] = &evalsph3DSR_57;
pointers_[58] = &evalsph3DSR_58;
pointers_[59] = &evalsph3DSR_59;
pointers_[60] = &evalsph3DSR_60;
pointers_[61] = &evalsph3DSR_61;
pointers_[62] = &evalsph3DSR_62;
pointers_[63] = &evalsph3DSR_63;
pointers_[64] = &evalsph3DSR_64;
pointers_[65] = &evalsph3DSR_65;
pointers_[66] = &evalsph3DSR_66;
pointers_[67] = &evalsph3DSR_67;
pointers_[68] = &evalsph3DSR_68;
pointers_[69] = &evalsph3DSR_69;
pointers_[70] = &evalsph3DSR_70;
pointers_[71] = &evalsph3DSR_71;
pointers_[72] = &evalsph3DSR_72;
pointers_[73] = &evalsph3DSR_73;
pointers_[74] = &evalsph3DSR_74;
pointers_[75] = &evalsph3DSR_75;
pointers_[76] = &evalsph3DSR_76;
pointers_[77] = &evalsph3DSR_77;
pointers_[78] = &evalsph3DSR_78;
pointers_[79] = &evalsph3DSR_79;
pointers_[80] = &evalsph3DSR_80;
pointers_[81] = &evalsph3DSR_81;
pointers_[82] = &evalsph3DSR_82;
pointers_[83] = &evalsph3DSR_83;
pointers_[84] = &evalsph3DSR_84;
pointers_[85] = &evalsph3DSR_85;
pointers_[86] = &evalsph3DSR_86;
pointers_[87] = &evalsph3DSR_87;
pointers_[88] = &evalsph3DSR_88;
pointers_[89] = &evalsph3DSR_89;
pointers_[90] = &evalsph3DSR_90;
pointers_[91] = &evalsph3DSR_91;
pointers_[92] = &evalsph3DSR_92;
pointers_[93] = &evalsph3DSR_93;
pointers_[94] = &evalsph3DSR_94;
pointers_[95] = &evalsph3DSR_95;
pointers_[96] = &evalsph3DSR_96;
pointers_[97] = &evalsph3DSR_97;
pointers_[98] = &evalsph3DSR_98;
pointers_[99] = &evalsph3DSR_99;
pointers_[100] = &evalsph3DSR_100;
pointers_[101] = &evalsph3DSR_101;
pointers_[102] = &evalsph3DSR_102;
pointers_[103] = &evalsph3DSR_103;
pointers_[104] = &evalsph3DSR_104;
pointers_[105] = &evalsph3DSR_105;
pointers_[106] = &evalsph3DSR_106;
pointers_[107] = &evalsph3DSR_107;
pointers_[108] = &evalsph3DSR_108;
pointers_[109] = &evalsph3DSR_109;
pointers_[110] = &evalsph3DSR_110;
pointers_[111] = &evalsph3DSR_111;
pointers_[112] = &evalsph3DSR_112;
pointers_[113] = &evalsph3DSR_113;
pointers_[114] = &evalsph3DSR_114;
pointers_[115] = &evalsph3DSR_115;
pointers_[116] = &evalsph3DSR_116;
pointers_[117] = &evalsph3DSR_117;
pointers_[118] = &evalsph3DSR_118;
pointers_[119] = &evalsph3DSR_119;
pointers_[120] = &evalsph3DSR_120;
pointers_[121] = &evalsph3DSR_121;
pointers_[122] = &evalsph3DSR_122;
pointers_[123] = &evalsph3DSR_123;
pointers_[124] = &evalsph3DSR_124;
pointers_[125] = &evalsph3DSR_125;
pointers_[126] = &evalsph3DSR_126;
pointers_[127] = &evalsph3DSR_127;
pointers_[128] = &evalsph3DSR_128;
pointers_[129] = &evalsph3DSR_129;
pointers_[130] = &evalsph3DSR_130;
pointers_[131] = &evalsph3DSR_131;
pointers_[132] = &evalsph3DSR_132;
pointers_[133] = &evalsph3DSR_133;
pointers_[134] = &evalsph3DSR_134;
pointers_[135] = &evalsph3DSR_135;
pointers_[136] = &evalsph3DSR_136;
pointers_[137] = &evalsph3DSR_137;
pointers_[138] = &evalsph3DSR_138;
pointers_[139] = &evalsph3DSR_139;
pointers_[140] = &evalsph3DSR_140;
pointers_[141] = &evalsph3DSR_141;
pointers_[142] = &evalsph3DSR_142;
pointers_[143] = &evalsph3DSR_143;
pointers_[144] = &evalsph3DSR_144;
pointers_[145] = &evalsph3DSR_145;
pointers_[146] = &evalsph3DSR_146;
pointers_[147] = &evalsph3DSR_147;
pointers_[148] = &evalsph3DSR_148;
pointers_[149] = &evalsph3DSR_149;
pointers_[150] = &evalsph3DSR_150;
pointers_[151] = &evalsph3DSR_151;
pointers_[152] = &evalsph3DSR_152;
pointers_[153] = &evalsph3DSR_153;
pointers_[154] = &evalsph3DSR_154;
pointers_[155] = &evalsph3DSR_155;
pointers_[156] = &evalsph3DSR_156;
pointers_[157] = &evalsph3DSR_157;
pointers_[158] = &evalsph3DSR_158;
pointers_[159] = &evalsph3DSR_159;
pointers_[160] = &evalsph3DSR_160;
pointers_[161] = &evalsph3DSR_161;
pointers_[162] = &evalsph3DSR_162;
pointers_[163] = &evalsph3DSR_163;
pointers_[164] = &evalsph3DSR_164;
pointers_[165] = &evalsph3DSR_165;
pointers_[166] = &evalsph3DSR_166;
pointers_[167] = &evalsph3DSR_167;
pointers_[168] = &evalsph3DSR_168;
pointers_[169] = &evalsph3DSR_169;
pointers_[170] = &evalsph3DSR_170;
pointers_[171] = &evalsph3DSR_171;
pointers_[172] = &evalsph3DSR_172;
pointers_[173] = &evalsph3DSR_173;
pointers_[174] = &evalsph3DSR_174;
pointers_[175] = &evalsph3DSR_175;
pointers_[176] = &evalsph3DSR_176;
pointers_[177] = &evalsph3DSR_177;
pointers_[178] = &evalsph3DSR_178;
pointers_[179] = &evalsph3DSR_179;
pointers_[180] = &evalsph3DSR_180;
pointers_[181] = &evalsph3DSR_181;
pointers_[182] = &evalsph3DSR_182;
pointers_[183] = &evalsph3DSR_183;
pointers_[184] = &evalsph3DSR_184;
pointers_[185] = &evalsph3DSR_185;
pointers_[186] = &evalsph3DSR_186;
pointers_[187] = &evalsph3DSR_187;
pointers_[188] = &evalsph3DSR_188;
pointers_[189] = &evalsph3DSR_189;
pointers_[190] = &evalsph3DSR_190;
pointers_[191] = &evalsph3DSR_191;
pointers_[192] = &evalsph3DSR_192;
pointers_[193] = &evalsph3DSR_193;
pointers_[194] = &evalsph3DSR_194;
pointers_[195] = &evalsph3DSR_195;
pointers_[196] = &evalsph3DSR_196;
pointers_[197] = &evalsph3DSR_197;
pointers_[198] = &evalsph3DSR_198;
pointers_[199] = &evalsph3DSR_199;
pointers_[200] = &evalsph3DSR_200;
pointers_[201] = &evalsph3DSR_201;
pointers_[202] = &evalsph3DSR_202;
pointers_[203] = &evalsph3DSR_203;
pointers_[204] = &evalsph3DSR_204;
pointers_[205] = &evalsph3DSR_205;
pointers_[206] = &evalsph3DSR_206;
pointers_[207] = &evalsph3DSR_207;
pointers_[208] = &evalsph3DSR_208;
pointers_[209] = &evalsph3DSR_209;
pointers_[210] = &evalsph3DSR_210;
pointers_[211] = &evalsph3DSR_211;
pointers_[212] = &evalsph3DSR_212;
pointers_[213] = &evalsph3DSR_213;
pointers_[214] = &evalsph3DSR_214;
pointers_[215] = &evalsph3DSR_215;
pointers_[216] = &evalsph3DSR_216;
pointers_[217] = &evalsph3DSR_217;
pointers_[218] = &evalsph3DSR_218;
pointers_[219] = &evalsph3DSR_219;
pointers_[220] = &evalsph3DSR_220;
pointers_[221] = &evalsph3DSR_221;
pointers_[222] = &evalsph3DSR_222;
pointers_[223] = &evalsph3DSR_223;
pointers_[224] = &evalsph3DSR_224;
pointers_[225] = &evalsph3DSR_225;
pointers_[226] = &evalsph3DSR_226;
pointers_[227] = &evalsph3DSR_227;
pointers_[228] = &evalsph3DSR_228;
pointers_[229] = &evalsph3DSR_229;
pointers_[230] = &evalsph3DSR_230;
pointers_[231] = &evalsph3DSR_231;
pointers_[232] = &evalsph3DSR_232;
pointers_[233] = &evalsph3DSR_233;
pointers_[234] = &evalsph3DSR_234;
pointers_[235] = &evalsph3DSR_235;
pointers_[236] = &evalsph3DSR_236;
pointers_[237] = &evalsph3DSR_237;
pointers_[238] = &evalsph3DSR_238;
pointers_[239] = &evalsph3DSR_239;
pointers_[240] = &evalsph3DSR_240;
pointers_[241] = &evalsph3DSR_241;
pointers_[242] = &evalsph3DSR_242;
pointers_[243] = &evalsph3DSR_243;
pointers_[244] = &evalsph3DSR_244;
pointers_[245] = &evalsph3DSR_245;
pointers_[246] = &evalsph3DSR_246;
pointers_[247] = &evalsph3DSR_247;
pointers_[248] = &evalsph3DSR_248;
pointers_[249] = &evalsph3DSR_249;
pointers_[250] = &evalsph3DSR_250;
pointers_[251] = &evalsph3DSR_251;
pointers_[252] = &evalsph3DSR_252;
pointers_[253] = &evalsph3DSR_253;
pointers_[254] = &evalsph3DSR_254;
pointers_[255] = &evalsph3DSR_255;
pointers_[256] = &evalsph3DSR_256;
pointers_[257] = &evalsph3DSR_257;
pointers_[258] = &evalsph3DSR_258;
pointers_[259] = &evalsph3DSR_259;
pointers_[260] = &evalsph3DSR_260;
pointers_[261] = &evalsph3DSR_261;
pointers_[262] = &evalsph3DSR_262;
pointers_[263] = &evalsph3DSR_263;
pointers_[264] = &evalsph3DSR_264;
pointers_[265] = &evalsph3DSR_265;
pointers_[266] = &evalsph3DSR_266;
pointers_[267] = &evalsph3DSR_267;
pointers_[268] = &evalsph3DSR_268;
pointers_[269] = &evalsph3DSR_269;
pointers_[270] = &evalsph3DSR_270;
pointers_[271] = &evalsph3DSR_271;
pointers_[272] = &evalsph3DSR_272;
pointers_[273] = &evalsph3DSR_273;
pointers_[274] = &evalsph3DSR_274;
pointers_[275] = &evalsph3DSR_275;
pointers_[276] = &evalsph3DSR_276;
pointers_[277] = &evalsph3DSR_277;
pointers_[278] = &evalsph3DSR_278;
pointers_[279] = &evalsph3DSR_279;
pointers_[280] = &evalsph3DSR_280;
pointers_[281] = &evalsph3DSR_281;
pointers_[282] = &evalsph3DSR_282;
pointers_[283] = &evalsph3DSR_283;
pointers_[284] = &evalsph3DSR_284;
pointers_[285] = &evalsph3DSR_285;
pointers_[286] = &evalsph3DSR_286;
pointers_[287] = &evalsph3DSR_287;
pointers_[288] = &evalsph3DSR_288;
pointers_[289] = &evalsph3DSR_289;
pointers_[290] = &evalsph3DSR_290;
pointers_[291] = &evalsph3DSR_291;
pointers_[292] = &evalsph3DSR_292;
pointers_[293] = &evalsph3DSR_293;
pointers_[294] = &evalsph3DSR_294;
pointers_[295] = &evalsph3DSR_295;
pointers_[296] = &evalsph3DSR_296;
pointers_[297] = &evalsph3DSR_297;
pointers_[298] = &evalsph3DSR_298;
pointers_[299] = &evalsph3DSR_299;
pointers_[300] = &evalsph3DSR_300;
pointers_[301] = &evalsph3DSR_301;
pointers_[302] = &evalsph3DSR_302;
pointers_[303] = &evalsph3DSR_303;
pointers_[304] = &evalsph3DSR_304;
pointers_[305] = &evalsph3DSR_305;
pointers_[306] = &evalsph3DSR_306;
pointers_[307] = &evalsph3DSR_307;
pointers_[308] = &evalsph3DSR_308;
pointers_[309] = &evalsph3DSR_309;
pointers_[310] = &evalsph3DSR_310;
pointers_[311] = &evalsph3DSR_311;
pointers_[312] = &evalsph3DSR_312;
pointers_[313] = &evalsph3DSR_313;
pointers_[314] = &evalsph3DSR_314;
pointers_[315] = &evalsph3DSR_315;
pointers_[316] = &evalsph3DSR_316;
pointers_[317] = &evalsph3DSR_317;
pointers_[318] = &evalsph3DSR_318;
pointers_[319] = &evalsph3DSR_319;
pointers_[320] = &evalsph3DSR_320;
pointers_[321] = &evalsph3DSR_321;
pointers_[322] = &evalsph3DSR_322;
pointers_[323] = &evalsph3DSR_323;
pointers_[324] = &evalsph3DSR_324;
pointers_[325] = &evalsph3DSR_325;
pointers_[326] = &evalsph3DSR_326;
pointers_[327] = &evalsph3DSR_327;
pointers_[328] = &evalsph3DSR_328;
pointers_[329] = &evalsph3DSR_329;
pointers_[330] = &evalsph3DSR_330;
pointers_[331] = &evalsph3DSR_331;
pointers_[332] = &evalsph3DSR_332;
pointers_[333] = &evalsph3DSR_333;
pointers_[334] = &evalsph3DSR_334;
pointers_[335] = &evalsph3DSR_335;
pointers_[336] = &evalsph3DSR_336;
pointers_[337] = &evalsph3DSR_337;
pointers_[338] = &evalsph3DSR_338;
pointers_[339] = &evalsph3DSR_339;
pointers_[340] = &evalsph3DSR_340;
pointers_[341] = &evalsph3DSR_341;
pointers_[342] = &evalsph3DSR_342;
pointers_[343] = &evalsph3DSR_343;
pointers_[344] = &evalsph3DSR_344;
pointers_[345] = &evalsph3DSR_345;
pointers_[346] = &evalsph3DSR_346;
pointers_[347] = &evalsph3DSR_347;
pointers_[348] = &evalsph3DSR_348;
pointers_[349] = &evalsph3DSR_349;
pointers_[350] = &evalsph3DSR_350;
pointers_[351] = &evalsph3DSR_351;
pointers_[352] = &evalsph3DSR_352;
pointers_[353] = &evalsph3DSR_353;
pointers_[354] = &evalsph3DSR_354;
pointers_[355] = &evalsph3DSR_355;
pointers_[356] = &evalsph3DSR_356;
pointers_[357] = &evalsph3DSR_357;
pointers_[358] = &evalsph3DSR_358;
pointers_[359] = &evalsph3DSR_359;
pointers_[360] = &evalsph3DSR_360;
pointers_[361] = &evalsph3DSR_361;
pointers_[362] = &evalsph3DSR_362;
pointers_[363] = &evalsph3DSR_363;
pointers_[364] = &evalsph3DSR_364;
pointers_[365] = &evalsph3DSR_365;
pointers_[366] = &evalsph3DSR_366;
pointers_[367] = &evalsph3DSR_367;
pointers_[368] = &evalsph3DSR_368;
pointers_[369] = &evalsph3DSR_369;
pointers_[370] = &evalsph3DSR_370;
pointers_[371] = &evalsph3DSR_371;
pointers_[372] = &evalsph3DSR_372;
pointers_[373] = &evalsph3DSR_373;
pointers_[374] = &evalsph3DSR_374;
pointers_[375] = &evalsph3DSR_375;
pointers_[376] = &evalsph3DSR_376;
pointers_[377] = &evalsph3DSR_377;
pointers_[378] = &evalsph3DSR_378;
pointers_[379] = &evalsph3DSR_379;
pointers_[380] = &evalsph3DSR_380;
pointers_[381] = &evalsph3DSR_381;
pointers_[382] = &evalsph3DSR_382;
pointers_[383] = &evalsph3DSR_383;
pointers_[384] = &evalsph3DSR_384;
pointers_[385] = &evalsph3DSR_385;
pointers_[386] = &evalsph3DSR_386;
pointers_[387] = &evalsph3DSR_387;
pointers_[388] = &evalsph3DSR_388;
pointers_[389] = &evalsph3DSR_389;
pointers_[390] = &evalsph3DSR_390;
pointers_[391] = &evalsph3DSR_391;
pointers_[392] = &evalsph3DSR_392;
pointers_[393] = &evalsph3DSR_393;
pointers_[394] = &evalsph3DSR_394;
pointers_[395] = &evalsph3DSR_395;
pointers_[396] = &evalsph3DSR_396;
pointers_[397] = &evalsph3DSR_397;
pointers_[398] = &evalsph3DSR_398;
pointers_[399] = &evalsph3DSR_399;
pointers_[400] = &evalsph3DSR_400;
pointers_[401] = &evalsph3DSR_401;
pointers_[402] = &evalsph3DSR_402;
pointers_[403] = &evalsph3DSR_403;
pointers_[404] = &evalsph3DSR_404;
pointers_[405] = &evalsph3DSR_405;
pointers_[406] = &evalsph3DSR_406;
pointers_[407] = &evalsph3DSR_407;
pointers_[408] = &evalsph3DSR_408;
pointers_[409] = &evalsph3DSR_409;
pointers_[410] = &evalsph3DSR_410;
pointers_[411] = &evalsph3DSR_411;
pointers_[412] = &evalsph3DSR_412;
pointers_[413] = &evalsph3DSR_413;
pointers_[414] = &evalsph3DSR_414;
pointers_[415] = &evalsph3DSR_415;
pointers_[416] = &evalsph3DSR_416;
pointers_[417] = &evalsph3DSR_417;
pointers_[418] = &evalsph3DSR_418;
pointers_[419] = &evalsph3DSR_419;
pointers_[420] = &evalsph3DSR_420;
pointers_[421] = &evalsph3DSR_421;
pointers_[422] = &evalsph3DSR_422;
pointers_[423] = &evalsph3DSR_423;
pointers_[424] = &evalsph3DSR_424;
pointers_[425] = &evalsph3DSR_425;
pointers_[426] = &evalsph3DSR_426;
pointers_[427] = &evalsph3DSR_427;
pointers_[428] = &evalsph3DSR_428;
pointers_[429] = &evalsph3DSR_429;
pointers_[430] = &evalsph3DSR_430;
pointers_[431] = &evalsph3DSR_431;
pointers_[432] = &evalsph3DSR_432;
pointers_[433] = &evalsph3DSR_433;
pointers_[434] = &evalsph3DSR_434;
pointers_[435] = &evalsph3DSR_435;
pointers_[436] = &evalsph3DSR_436;
pointers_[437] = &evalsph3DSR_437;
pointers_[438] = &evalsph3DSR_438;
pointers_[439] = &evalsph3DSR_439;
pointers_[440] = &evalsph3DSR_440;
pointers_[441] = &evalsph3DSR_441;
pointers_[442] = &evalsph3DSR_442;
pointers_[443] = &evalsph3DSR_443;
pointers_[444] = &evalsph3DSR_444;
pointers_[445] = &evalsph3DSR_445;
pointers_[446] = &evalsph3DSR_446;
pointers_[447] = &evalsph3DSR_447;
pointers_[448] = &evalsph3DSR_448;
pointers_[449] = &evalsph3DSR_449;
pointers_[450] = &evalsph3DSR_450;
pointers_[451] = &evalsph3DSR_451;
pointers_[452] = &evalsph3DSR_452;
pointers_[453] = &evalsph3DSR_453;
pointers_[454] = &evalsph3DSR_454;
pointers_[455] = &evalsph3DSR_455;
pointers_[456] = &evalsph3DSR_456;
pointers_[457] = &evalsph3DSR_457;
pointers_[458] = &evalsph3DSR_458;
pointers_[459] = &evalsph3DSR_459;
pointers_[460] = &evalsph3DSR_460;
pointers_[461] = &evalsph3DSR_461;
pointers_[462] = &evalsph3DSR_462;
pointers_[463] = &evalsph3DSR_463;
pointers_[464] = &evalsph3DSR_464;
pointers_[465] = &evalsph3DSR_465;
pointers_[466] = &evalsph3DSR_466;
pointers_[467] = &evalsph3DSR_467;
pointers_[468] = &evalsph3DSR_468;
pointers_[469] = &evalsph3DSR_469;
pointers_[470] = &evalsph3DSR_470;
pointers_[471] = &evalsph3DSR_471;
pointers_[472] = &evalsph3DSR_472;
pointers_[473] = &evalsph3DSR_473;
pointers_[474] = &evalsph3DSR_474;
pointers_[475] = &evalsph3DSR_475;
pointers_[476] = &evalsph3DSR_476;
pointers_[477] = &evalsph3DSR_477;
pointers_[478] = &evalsph3DSR_478;
pointers_[479] = &evalsph3DSR_479;
pointers_[480] = &evalsph3DSR_480;
pointers_[481] = &evalsph3DSR_481;
pointers_[482] = &evalsph3DSR_482;
pointers_[483] = &evalsph3DSR_483;
pointers_[484] = &evalsph3DSR_484;
pointers_[485] = &evalsph3DSR_485;
pointers_[486] = &evalsph3DSR_486;
pointers_[487] = &evalsph3DSR_487;
pointers_[488] = &evalsph3DSR_488;
pointers_[489] = &evalsph3DSR_489;
pointers_[490] = &evalsph3DSR_490;
pointers_[491] = &evalsph3DSR_491;
pointers_[492] = &evalsph3DSR_492;
pointers_[493] = &evalsph3DSR_493;
pointers_[494] = &evalsph3DSR_494;
pointers_[495] = &evalsph3DSR_495;
pointers_[496] = &evalsph3DSR_496;
pointers_[497] = &evalsph3DSR_497;
pointers_[498] = &evalsph3DSR_498;
pointers_[499] = &evalsph3DSR_499;
pointers_[500] = &evalsph3DSR_500;
pointers_[501] = &evalsph3DSR_501;
pointers_[502] = &evalsph3DSR_502;
pointers_[503] = &evalsph3DSR_503;
pointers_[504] = &evalsph3DSR_504;
pointers_[505] = &evalsph3DSR_505;
pointers_[506] = &evalsph3DSR_506;
pointers_[507] = &evalsph3DSR_507;
pointers_[508] = &evalsph3DSR_508;
pointers_[509] = &evalsph3DSR_509;
pointers_[510] = &evalsph3DSR_510;
pointers_[511] = &evalsph3DSR_511;
pointers_[512] = &evalsph3DSR_512;
pointers_[513] = &evalsph3DSR_513;
pointers_[514] = &evalsph3DSR_514;
pointers_[515] = &evalsph3DSR_515;
pointers_[516] = &evalsph3DSR_516;
pointers_[517] = &evalsph3DSR_517;
pointers_[518] = &evalsph3DSR_518;
pointers_[519] = &evalsph3DSR_519;
pointers_[520] = &evalsph3DSR_520;
pointers_[521] = &evalsph3DSR_521;
pointers_[522] = &evalsph3DSR_522;
pointers_[523] = &evalsph3DSR_523;
pointers_[524] = &evalsph3DSR_524;
pointers_[525] = &evalsph3DSR_525;
pointers_[526] = &evalsph3DSR_526;
pointers_[527] = &evalsph3DSR_527;
pointers_[528] = &evalsph3DSR_528;
pointers_[529] = &evalsph3DSR_529;
pointers_[530] = &evalsph3DSR_530;
pointers_[531] = &evalsph3DSR_531;
pointers_[532] = &evalsph3DSR_532;
pointers_[533] = &evalsph3DSR_533;
pointers_[534] = &evalsph3DSR_534;
pointers_[535] = &evalsph3DSR_535;
pointers_[536] = &evalsph3DSR_536;
pointers_[537] = &evalsph3DSR_537;
pointers_[538] = &evalsph3DSR_538;
pointers_[539] = &evalsph3DSR_539;
pointers_[540] = &evalsph3DSR_540;
pointers_[541] = &evalsph3DSR_541;
pointers_[542] = &evalsph3DSR_542;
pointers_[543] = &evalsph3DSR_543;
pointers_[544] = &evalsph3DSR_544;
pointers_[545] = &evalsph3DSR_545;
pointers_[546] = &evalsph3DSR_546;
pointers_[547] = &evalsph3DSR_547;
pointers_[548] = &evalsph3DSR_548;
pointers_[549] = &evalsph3DSR_549;
pointers_[550] = &evalsph3DSR_550;
pointers_[551] = &evalsph3DSR_551;
pointers_[552] = &evalsph3DSR_552;
pointers_[553] = &evalsph3DSR_553;
pointers_[554] = &evalsph3DSR_554;
pointers_[555] = &evalsph3DSR_555;
pointers_[556] = &evalsph3DSR_556;
pointers_[557] = &evalsph3DSR_557;
pointers_[558] = &evalsph3DSR_558;
pointers_[559] = &evalsph3DSR_559;
pointers_[560] = &evalsph3DSR_560;
pointers_[561] = &evalsph3DSR_561;
pointers_[562] = &evalsph3DSR_562;
pointers_[563] = &evalsph3DSR_563;
pointers_[564] = &evalsph3DSR_564;
pointers_[565] = &evalsph3DSR_565;
pointers_[566] = &evalsph3DSR_566;
pointers_[567] = &evalsph3DSR_567;
pointers_[568] = &evalsph3DSR_568;
pointers_[569] = &evalsph3DSR_569;
pointers_[570] = &evalsph3DSR_570;
pointers_[571] = &evalsph3DSR_571;
pointers_[572] = &evalsph3DSR_572;
pointers_[573] = &evalsph3DSR_573;
pointers_[574] = &evalsph3DSR_574;
pointers_[575] = &evalsph3DSR_575;
pointers_[576] = &evalsph3DSR_576;
pointers_[577] = &evalsph3DSR_577;
pointers_[578] = &evalsph3DSR_578;
pointers_[579] = &evalsph3DSR_579;
pointers_[580] = &evalsph3DSR_580;
pointers_[581] = &evalsph3DSR_581;
pointers_[582] = &evalsph3DSR_582;
pointers_[583] = &evalsph3DSR_583;
pointers_[584] = &evalsph3DSR_584;
pointers_[585] = &evalsph3DSR_585;
pointers_[586] = &evalsph3DSR_586;
pointers_[587] = &evalsph3DSR_587;
pointers_[588] = &evalsph3DSR_588;
pointers_[589] = &evalsph3DSR_589;
pointers_[590] = &evalsph3DSR_590;
pointers_[591] = &evalsph3DSR_591;
pointers_[592] = &evalsph3DSR_592;
pointers_[593] = &evalsph3DSR_593;
pointers_[594] = &evalsph3DSR_594;
pointers_[595] = &evalsph3DSR_595;
pointers_[596] = &evalsph3DSR_596;
pointers_[597] = &evalsph3DSR_597;
pointers_[598] = &evalsph3DSR_598;
pointers_[599] = &evalsph3DSR_599;
pointers_[600] = &evalsph3DSR_600;
pointers_[601] = &evalsph3DSR_601;
pointers_[602] = &evalsph3DSR_602;
pointers_[603] = &evalsph3DSR_603;
pointers_[604] = &evalsph3DSR_604;
pointers_[605] = &evalsph3DSR_605;
pointers_[606] = &evalsph3DSR_606;
pointers_[607] = &evalsph3DSR_607;
pointers_[608] = &evalsph3DSR_608;
pointers_[609] = &evalsph3DSR_609;
pointers_[610] = &evalsph3DSR_610;
pointers_[611] = &evalsph3DSR_611;
pointers_[612] = &evalsph3DSR_612;
pointers_[613] = &evalsph3DSR_613;
pointers_[614] = &evalsph3DSR_614;
pointers_[615] = &evalsph3DSR_615;
pointers_[616] = &evalsph3DSR_616;
pointers_[617] = &evalsph3DSR_617;
pointers_[618] = &evalsph3DSR_618;
pointers_[619] = &evalsph3DSR_619;
pointers_[620] = &evalsph3DSR_620;
pointers_[621] = &evalsph3DSR_621;
pointers_[622] = &evalsph3DSR_622;
pointers_[623] = &evalsph3DSR_623;
pointers_[624] = &evalsph3DSR_624;
pointers_[625] = &evalsph3DSR_625;
pointers_[626] = &evalsph3DSR_626;
pointers_[627] = &evalsph3DSR_627;
pointers_[628] = &evalsph3DSR_628;
pointers_[629] = &evalsph3DSR_629;
pointers_[630] = &evalsph3DSR_630;
pointers_[631] = &evalsph3DSR_631;
pointers_[632] = &evalsph3DSR_632;
pointers_[633] = &evalsph3DSR_633;
pointers_[634] = &evalsph3DSR_634;
pointers_[635] = &evalsph3DSR_635;
pointers_[636] = &evalsph3DSR_636;
pointers_[637] = &evalsph3DSR_637;
pointers_[638] = &evalsph3DSR_638;
pointers_[639] = &evalsph3DSR_639;
pointers_[640] = &evalsph3DSR_640;
pointers_[641] = &evalsph3DSR_641;
pointers_[642] = &evalsph3DSR_642;
pointers_[643] = &evalsph3DSR_643;
pointers_[644] = &evalsph3DSR_644;
pointers_[645] = &evalsph3DSR_645;
pointers_[646] = &evalsph3DSR_646;
pointers_[647] = &evalsph3DSR_647;
pointers_[648] = &evalsph3DSR_648;
pointers_[649] = &evalsph3DSR_649;
pointers_[650] = &evalsph3DSR_650;
pointers_[651] = &evalsph3DSR_651;
pointers_[652] = &evalsph3DSR_652;
pointers_[653] = &evalsph3DSR_653;
pointers_[654] = &evalsph3DSR_654;
pointers_[655] = &evalsph3DSR_655;
pointers_[656] = &evalsph3DSR_656;
pointers_[657] = &evalsph3DSR_657;
pointers_[658] = &evalsph3DSR_658;
pointers_[659] = &evalsph3DSR_659;
pointers_[660] = &evalsph3DSR_660;
pointers_[661] = &evalsph3DSR_661;
pointers_[662] = &evalsph3DSR_662;
pointers_[663] = &evalsph3DSR_663;
pointers_[664] = &evalsph3DSR_664;
pointers_[665] = &evalsph3DSR_665;
pointers_[666] = &evalsph3DSR_666;
pointers_[667] = &evalsph3DSR_667;
pointers_[668] = &evalsph3DSR_668;
pointers_[669] = &evalsph3DSR_669;
pointers_[670] = &evalsph3DSR_670;
pointers_[671] = &evalsph3DSR_671;
pointers_[672] = &evalsph3DSR_672;
pointers_[673] = &evalsph3DSR_673;
pointers_[674] = &evalsph3DSR_674;
pointers_[675] = &evalsph3DSR_675;
pointers_[676] = &evalsph3DSR_676;
pointers_[677] = &evalsph3DSR_677;
pointers_[678] = &evalsph3DSR_678;
pointers_[679] = &evalsph3DSR_679;
pointers_[680] = &evalsph3DSR_680;
pointers_[681] = &evalsph3DSR_681;
pointers_[682] = &evalsph3DSR_682;
pointers_[683] = &evalsph3DSR_683;
pointers_[684] = &evalsph3DSR_684;
pointers_[685] = &evalsph3DSR_685;
pointers_[686] = &evalsph3DSR_686;
pointers_[687] = &evalsph3DSR_687;
pointers_[688] = &evalsph3DSR_688;
pointers_[689] = &evalsph3DSR_689;
pointers_[690] = &evalsph3DSR_690;
pointers_[691] = &evalsph3DSR_691;
pointers_[692] = &evalsph3DSR_692;
pointers_[693] = &evalsph3DSR_693;
pointers_[694] = &evalsph3DSR_694;
pointers_[695] = &evalsph3DSR_695;
pointers_[696] = &evalsph3DSR_696;
pointers_[697] = &evalsph3DSR_697;
pointers_[698] = &evalsph3DSR_698;
pointers_[699] = &evalsph3DSR_699;
pointers_[700] = &evalsph3DSR_700;
pointers_[701] = &evalsph3DSR_701;
pointers_[702] = &evalsph3DSR_702;
pointers_[703] = &evalsph3DSR_703;
pointers_[704] = &evalsph3DSR_704;
pointers_[705] = &evalsph3DSR_705;
pointers_[706] = &evalsph3DSR_706;
pointers_[707] = &evalsph3DSR_707;
pointers_[708] = &evalsph3DSR_708;
pointers_[709] = &evalsph3DSR_709;
pointers_[710] = &evalsph3DSR_710;
pointers_[711] = &evalsph3DSR_711;
pointers_[712] = &evalsph3DSR_712;
pointers_[713] = &evalsph3DSR_713;
pointers_[714] = &evalsph3DSR_714;
pointers_[715] = &evalsph3DSR_715;
pointers_[716] = &evalsph3DSR_716;
pointers_[717] = &evalsph3DSR_717;
pointers_[718] = &evalsph3DSR_718;
pointers_[719] = &evalsph3DSR_719;
pointers_[720] = &evalsph3DSR_720;
pointers_[721] = &evalsph3DSR_721;
pointers_[722] = &evalsph3DSR_722;
pointers_[723] = &evalsph3DSR_723;
pointers_[724] = &evalsph3DSR_724;
pointers_[725] = &evalsph3DSR_725;
pointers_[726] = &evalsph3DSR_726;
pointers_[727] = &evalsph3DSR_727;
pointers_[728] = &evalsph3DSR_728;
pointers_[729] = &evalsph3DSR_729;
pointers_[730] = &evalsph3DSR_730;
pointers_[731] = &evalsph3DSR_731;
pointers_[732] = &evalsph3DSR_732;
pointers_[733] = &evalsph3DSR_733;
pointers_[734] = &evalsph3DSR_734;
pointers_[735] = &evalsph3DSR_735;
pointers_[736] = &evalsph3DSR_736;
pointers_[737] = &evalsph3DSR_737;
pointers_[738] = &evalsph3DSR_738;
pointers_[739] = &evalsph3DSR_739;
pointers_[740] = &evalsph3DSR_740;
pointers_[741] = &evalsph3DSR_741;
pointers_[742] = &evalsph3DSR_742;
pointers_[743] = &evalsph3DSR_743;
pointers_[744] = &evalsph3DSR_744;
pointers_[745] = &evalsph3DSR_745;
pointers_[746] = &evalsph3DSR_746;
pointers_[747] = &evalsph3DSR_747;
pointers_[748] = &evalsph3DSR_748;
pointers_[749] = &evalsph3DSR_749;
pointers_[750] = &evalsph3DSR_750;
pointers_[751] = &evalsph3DSR_751;
pointers_[752] = &evalsph3DSR_752;
pointers_[753] = &evalsph3DSR_753;
pointers_[754] = &evalsph3DSR_754;
pointers_[755] = &evalsph3DSR_755;
pointers_[756] = &evalsph3DSR_756;
pointers_[757] = &evalsph3DSR_757;
pointers_[758] = &evalsph3DSR_758;
pointers_[759] = &evalsph3DSR_759;
pointers_[760] = &evalsph3DSR_760;
pointers_[761] = &evalsph3DSR_761;
pointers_[762] = &evalsph3DSR_762;
pointers_[763] = &evalsph3DSR_763;
pointers_[764] = &evalsph3DSR_764;
pointers_[765] = &evalsph3DSR_765;
pointers_[766] = &evalsph3DSR_766;
pointers_[767] = &evalsph3DSR_767;
pointers_[768] = &evalsph3DSR_768;
pointers_[769] = &evalsph3DSR_769;
pointers_[770] = &evalsph3DSR_770;
pointers_[771] = &evalsph3DSR_771;
pointers_[772] = &evalsph3DSR_772;
pointers_[773] = &evalsph3DSR_773;
pointers_[774] = &evalsph3DSR_774;
pointers_[775] = &evalsph3DSR_775;
pointers_[776] = &evalsph3DSR_776;
pointers_[777] = &evalsph3DSR_777;
pointers_[778] = &evalsph3DSR_778;
pointers_[779] = &evalsph3DSR_779;
pointers_[780] = &evalsph3DSR_780;
pointers_[781] = &evalsph3DSR_781;
pointers_[782] = &evalsph3DSR_782;
pointers_[783] = &evalsph3DSR_783;
pointers_[784] = &evalsph3DSR_784;
pointers_[785] = &evalsph3DSR_785;
pointers_[786] = &evalsph3DSR_786;
pointers_[787] = &evalsph3DSR_787;
pointers_[788] = &evalsph3DSR_788;
pointers_[789] = &evalsph3DSR_789;
pointers_[790] = &evalsph3DSR_790;
pointers_[791] = &evalsph3DSR_791;
pointers_[792] = &evalsph3DSR_792;
pointers_[793] = &evalsph3DSR_793;
pointers_[794] = &evalsph3DSR_794;
pointers_[795] = &evalsph3DSR_795;
pointers_[796] = &evalsph3DSR_796;
pointers_[797] = &evalsph3DSR_797;
pointers_[798] = &evalsph3DSR_798;
pointers_[799] = &evalsph3DSR_799;
pointers_[800] = &evalsph3DSR_800;
pointers_[801] = &evalsph3DSR_801;
pointers_[802] = &evalsph3DSR_802;
pointers_[803] = &evalsph3DSR_803;
pointers_[804] = &evalsph3DSR_804;
pointers_[805] = &evalsph3DSR_805;
pointers_[806] = &evalsph3DSR_806;
pointers_[807] = &evalsph3DSR_807;
pointers_[808] = &evalsph3DSR_808;
pointers_[809] = &evalsph3DSR_809;
pointers_[810] = &evalsph3DSR_810;
pointers_[811] = &evalsph3DSR_811;
pointers_[812] = &evalsph3DSR_812;
pointers_[813] = &evalsph3DSR_813;
pointers_[814] = &evalsph3DSR_814;
pointers_[815] = &evalsph3DSR_815;
pointers_[816] = &evalsph3DSR_816;
pointers_[817] = &evalsph3DSR_817;
pointers_[818] = &evalsph3DSR_818;
pointers_[819] = &evalsph3DSR_819;
pointers_[820] = &evalsph3DSR_820;
pointers_[821] = &evalsph3DSR_821;
pointers_[822] = &evalsph3DSR_822;
pointers_[823] = &evalsph3DSR_823;
pointers_[824] = &evalsph3DSR_824;
pointers_[825] = &evalsph3DSR_825;
pointers_[826] = &evalsph3DSR_826;
pointers_[827] = &evalsph3DSR_827;
pointers_[828] = &evalsph3DSR_828;
pointers_[829] = &evalsph3DSR_829;
pointers_[830] = &evalsph3DSR_830;
pointers_[831] = &evalsph3DSR_831;
pointers_[832] = &evalsph3DSR_832;
pointers_[833] = &evalsph3DSR_833;
pointers_[834] = &evalsph3DSR_834;
pointers_[835] = &evalsph3DSR_835;
pointers_[836] = &evalsph3DSR_836;
pointers_[837] = &evalsph3DSR_837;
pointers_[838] = &evalsph3DSR_838;
pointers_[839] = &evalsph3DSR_839;
pointers_[840] = &evalsph3DSR_840;
pointers_[841] = &evalsph3DSR_841;
pointers_[842] = &evalsph3DSR_842;
pointers_[843] = &evalsph3DSR_843;
pointers_[844] = &evalsph3DSR_844;
pointers_[845] = &evalsph3DSR_845;
pointers_[846] = &evalsph3DSR_846;
pointers_[847] = &evalsph3DSR_847;
pointers_[848] = &evalsph3DSR_848;
pointers_[849] = &evalsph3DSR_849;
pointers_[850] = &evalsph3DSR_850;
pointers_[851] = &evalsph3DSR_851;
pointers_[852] = &evalsph3DSR_852;
pointers_[853] = &evalsph3DSR_853;
pointers_[854] = &evalsph3DSR_854;
pointers_[855] = &evalsph3DSR_855;
pointers_[856] = &evalsph3DSR_856;
pointers_[857] = &evalsph3DSR_857;
pointers_[858] = &evalsph3DSR_858;
pointers_[859] = &evalsph3DSR_859;
pointers_[860] = &evalsph3DSR_860;
pointers_[861] = &evalsph3DSR_861;
pointers_[862] = &evalsph3DSR_862;
pointers_[863] = &evalsph3DSR_863;
pointers_[864] = &evalsph3DSR_864;
pointers_[865] = &evalsph3DSR_865;
pointers_[866] = &evalsph3DSR_866;
pointers_[867] = &evalsph3DSR_867;
pointers_[868] = &evalsph3DSR_868;
pointers_[869] = &evalsph3DSR_869;
pointers_[870] = &evalsph3DSR_870;
pointers_[871] = &evalsph3DSR_871;
pointers_[872] = &evalsph3DSR_872;
pointers_[873] = &evalsph3DSR_873;
pointers_[874] = &evalsph3DSR_874;
pointers_[875] = &evalsph3DSR_875;
pointers_[876] = &evalsph3DSR_876;
pointers_[877] = &evalsph3DSR_877;
pointers_[878] = &evalsph3DSR_878;
pointers_[879] = &evalsph3DSR_879;
pointers_[880] = &evalsph3DSR_880;
pointers_[881] = &evalsph3DSR_881;
pointers_[882] = &evalsph3DSR_882;
pointers_[883] = &evalsph3DSR_883;
pointers_[884] = &evalsph3DSR_884;
pointers_[885] = &evalsph3DSR_885;
pointers_[886] = &evalsph3DSR_886;
pointers_[887] = &evalsph3DSR_887;
pointers_[888] = &evalsph3DSR_888;
pointers_[889] = &evalsph3DSR_889;
pointers_[890] = &evalsph3DSR_890;
pointers_[891] = &evalsph3DSR_891;
pointers_[892] = &evalsph3DSR_892;
pointers_[893] = &evalsph3DSR_893;
pointers_[894] = &evalsph3DSR_894;
pointers_[895] = &evalsph3DSR_895;
pointers_[896] = &evalsph3DSR_896;
pointers_[897] = &evalsph3DSR_897;
pointers_[898] = &evalsph3DSR_898;
pointers_[899] = &evalsph3DSR_899;
pointers_[900] = &evalsph3DSR_900;
pointers_[901] = &evalsph3DSR_901;
pointers_[902] = &evalsph3DSR_902;
pointers_[903] = &evalsph3DSR_903;
pointers_[904] = &evalsph3DSR_904;
pointers_[905] = &evalsph3DSR_905;
pointers_[906] = &evalsph3DSR_906;
pointers_[907] = &evalsph3DSR_907;
pointers_[908] = &evalsph3DSR_908;
pointers_[909] = &evalsph3DSR_909;
pointers_[910] = &evalsph3DSR_910;
pointers_[911] = &evalsph3DSR_911;
pointers_[912] = &evalsph3DSR_912;
pointers_[913] = &evalsph3DSR_913;
pointers_[914] = &evalsph3DSR_914;
pointers_[915] = &evalsph3DSR_915;
pointers_[916] = &evalsph3DSR_916;
pointers_[917] = &evalsph3DSR_917;
pointers_[918] = &evalsph3DSR_918;
pointers_[919] = &evalsph3DSR_919;
pointers_[920] = &evalsph3DSR_920;
pointers_[921] = &evalsph3DSR_921;
pointers_[922] = &evalsph3DSR_922;
pointers_[923] = &evalsph3DSR_923;
pointers_[924] = &evalsph3DSR_924;
pointers_[925] = &evalsph3DSR_925;
pointers_[926] = &evalsph3DSR_926;
pointers_[927] = &evalsph3DSR_927;
pointers_[928] = &evalsph3DSR_928;
pointers_[929] = &evalsph3DSR_929;
pointers_[930] = &evalsph3DSR_930;
pointers_[931] = &evalsph3DSR_931;
pointers_[932] = &evalsph3DSR_932;
pointers_[933] = &evalsph3DSR_933;
pointers_[934] = &evalsph3DSR_934;
pointers_[935] = &evalsph3DSR_935;
pointers_[936] = &evalsph3DSR_936;
pointers_[937] = &evalsph3DSR_937;
pointers_[938] = &evalsph3DSR_938;
pointers_[939] = &evalsph3DSR_939;
pointers_[940] = &evalsph3DSR_940;
pointers_[941] = &evalsph3DSR_941;
pointers_[942] = &evalsph3DSR_942;
pointers_[943] = &evalsph3DSR_943;
pointers_[944] = &evalsph3DSR_944;
pointers_[945] = &evalsph3DSR_945;
pointers_[946] = &evalsph3DSR_946;
pointers_[947] = &evalsph3DSR_947;
pointers_[948] = &evalsph3DSR_948;
pointers_[949] = &evalsph3DSR_949;
pointers_[950] = &evalsph3DSR_950;
pointers_[951] = &evalsph3DSR_951;
pointers_[952] = &evalsph3DSR_952;
pointers_[953] = &evalsph3DSR_953;
pointers_[954] = &evalsph3DSR_954;
pointers_[955] = &evalsph3DSR_955;
pointers_[956] = &evalsph3DSR_956;
pointers_[957] = &evalsph3DSR_957;
pointers_[958] = &evalsph3DSR_958;
pointers_[959] = &evalsph3DSR_959;
pointers_[960] = &evalsph3DSR_960;
pointers_[961] = &evalsph3DSR_961;
pointers_[962] = &evalsph3DSR_962;
pointers_[963] = &evalsph3DSR_963;
pointers_[964] = &evalsph3DSR_964;
pointers_[965] = &evalsph3DSR_965;
pointers_[966] = &evalsph3DSR_966;
pointers_[967] = &evalsph3DSR_967;
pointers_[968] = &evalsph3DSR_968;
pointers_[969] = &evalsph3DSR_969;
pointers_[970] = &evalsph3DSR_970;
pointers_[971] = &evalsph3DSR_971;
pointers_[972] = &evalsph3DSR_972;
pointers_[973] = &evalsph3DSR_973;
pointers_[974] = &evalsph3DSR_974;
pointers_[975] = &evalsph3DSR_975;
pointers_[976] = &evalsph3DSR_976;
pointers_[977] = &evalsph3DSR_977;
pointers_[978] = &evalsph3DSR_978;
pointers_[979] = &evalsph3DSR_979;
pointers_[980] = &evalsph3DSR_980;
pointers_[981] = &evalsph3DSR_981;
pointers_[982] = &evalsph3DSR_982;
pointers_[983] = &evalsph3DSR_983;
pointers_[984] = &evalsph3DSR_984;
pointers_[985] = &evalsph3DSR_985;
pointers_[986] = &evalsph3DSR_986;
pointers_[987] = &evalsph3DSR_987;
pointers_[988] = &evalsph3DSR_988;
pointers_[989] = &evalsph3DSR_989;
pointers_[990] = &evalsph3DSR_990;
pointers_[991] = &evalsph3DSR_991;
pointers_[992] = &evalsph3DSR_992;
pointers_[993] = &evalsph3DSR_993;
pointers_[994] = &evalsph3DSR_994;
pointers_[995] = &evalsph3DSR_995;
pointers_[996] = &evalsph3DSR_996;
pointers_[997] = &evalsph3DSR_997;
pointers_[998] = &evalsph3DSR_998;
pointers_[999] = &evalsph3DSR_999;
}


